------------------------------------------------------------
revno: 551
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Thu 2010-01-14 18:15:05 -1000
message:
  add support for using dhcpcd-bin on Debian
------------------------------------------------------------
revno: 550
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Thu 2010-01-14 18:02:10 -1000
message:
  add a 1 second sleep after setting essid but before scanning
------------------------------------------------------------
revno: 549
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Thu 2010-01-14 17:46:38 -1000
message:
  change to use dict.get instead of dict[]
------------------------------------------------------------
revno: 548
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sun 2010-01-10 18:10:55 -1000
message:
  add information about global scripts to wicd(8)
------------------------------------------------------------
revno: 547
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-09 15:34:06 -1000
message:
  updated CHANGES, setup.py, and NEWS for release
------------------------------------------------------------
revno: 546
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-09 15:30:55 -1000
message:
  mark ioctl not supported in wicd-gtk
------------------------------------------------------------
revno: 545
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sat 2010-01-09 11:34:19 -0500
message:
  Fix a comment.
------------------------------------------------------------
revno: 544
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sat 2010-01-09 11:17:49 -0500
message:
  Removed the wicd-curses clock, all it was doing really was eating CPU cycles.
------------------------------------------------------------
revno: 543
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sat 2010-01-09 10:38:12 -0500
message:
  Remove extraneous print statement from netentry-curses.py.
------------------------------------------------------------
revno: 542
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Fri 2010-01-08 18:15:57 -0500
message:
  Remove the flickering from wicd-curses, thanks to Ian Ward for reminding me that it was still happening.
------------------------------------------------------------
revno: 541
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Fri 2010-01-08 18:04:28 -0500
message:
  Fix another code separation-induced problem.  Thanks to Robby Workman.
------------------------------------------------------------
revno: 540
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Thu 2010-01-07 10:39:06 -1000
message:
  have wicd-client pass arguments to wicd-gtk and wicd-curses again
------------------------------------------------------------
revno: 539
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Wed 2010-01-06 15:03:42 -1000
message:
  remove useless about menu in wicd's tray icon
------------------------------------------------------------
revno: 538
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Mon 2010-01-04 08:53:24 -1000
message:
  create wpath.networks at run time if it doesn't exist
------------------------------------------------------------
revno: 537
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Mon 2010-01-04 08:33:24 -1000
message:
  add .empty_on_purpose to empty directories
------------------------------------------------------------
revno: 536
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Mon 2010-01-04 08:18:55 -1000
message:
  removed empty scripts directory
------------------------------------------------------------
revno: 535
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sun 2010-01-03 23:10:55 -1000
message:
  run global scripts in ordered way
------------------------------------------------------------
revno: 534
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sun 2010-01-03 23:07:34 -1000
message:
  make wicd-cli easier to use
------------------------------------------------------------
revno: 533
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sun 2010-01-03 22:47:32 -1000
message:
  fix the case sensitivity in wicd-cli
------------------------------------------------------------
revno: 532
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sun 2010-01-03 22:37:57 -1000
message:
  fix udhcpc not working due to an extra period
------------------------------------------------------------
revno: 531
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sun 2010-01-03 22:04:03 -1000
message:
  update wicd-cli calls to work with the current daemon
------------------------------------------------------------
revno: 530
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sun 2010-01-03 13:13:35 -1000
message:
  updated CHANGES, NEWS, and setup.py for release
------------------------------------------------------------
revno: 529
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sun 2010-01-03 09:05:58 -1000
message:
  updated Gentoo init script
------------------------------------------------------------
revno: 528 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sun 2010-01-03 08:51:01 -1000
message:
  merged code-seperation
------------------------------------------------------------
revno: 527
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 22:33:13 -1000
message:
  updated CHANGES, NEWS, and setup.py for release
------------------------------------------------------------
revno: 526
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 21:27:41 -1000
message:
  restore old resolv.conf file on -k instead of sigterm
------------------------------------------------------------
revno: 525
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 20:59:10 -1000
message:
  update CHANGES
------------------------------------------------------------
revno: 524
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 20:59:05 -1000
message:
  put the Dutch man pages in the correct directory
------------------------------------------------------------
revno: 523
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 20:50:31 -1000
message:
  updated CHANGES
------------------------------------------------------------
revno: 522
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 20:50:16 -1000
message:
  added wireless-settings.conf Dutch man page
------------------------------------------------------------
revno: 521
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 20:43:26 -1000
message:
  update CHANGES
------------------------------------------------------------
revno: 520
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 20:42:36 -1000
message:
  renamed a Dutch manpage
------------------------------------------------------------
revno: 519
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 20:29:53 -1000
message:
  update CHANGES
------------------------------------------------------------
revno: 518
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 20:29:18 -1000
message:
  remove setup.py reference to Dutch version of wicd-cli.8 that doesn't exist
------------------------------------------------------------
revno: 517
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 20:23:48 -1000
message:
  updated CHANGES, NEWS, and setup.py version number
------------------------------------------------------------
revno: 516
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 20:22:00 -1000
message:
  added no_install_i18n_man to wpath.py.in
------------------------------------------------------------
revno: 515
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 20:14:43 -1000
message:
  add Dutch man pages
------------------------------------------------------------
revno: 514 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 19:55:04 -1000
message:
  merged iconfallout
------------------------------------------------------------
revno: 513 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 19:49:05 -1000
message:
  changed the path of monitor.py to the correct one so it will run again [again]
------------------------------------------------------------
revno: 512
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 19:46:33 -1000
message:
  changed the path of monitor.py to the correct one so it will run again
------------------------------------------------------------
revno: 511
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 18:43:42 -1000
message:
  change Slackware's wicdgroup to netdev
------------------------------------------------------------
revno: 510 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 18:35:06 -1000
message:
  add pixmaps to wpath
------------------------------------------------------------
revno: 509 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 09:22:51 -1000
message:
  add an xpm icon so that the .desktop file will have an icon
------------------------------------------------------------
revno: 508
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 08:22:06 -1000
message:
  fix potential urwid compatibility problem
------------------------------------------------------------
revno: 507
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 08:11:31 -1000
message:
  create directories if they do not exist when running configure
------------------------------------------------------------
revno: 506
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 07:57:14 -1000
message:
  use wicd-gtk to launch the GTK UI instead of wicd-client
------------------------------------------------------------
revno: 505 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Sat 2010-01-02 07:52:03 -1000
message:
  merged David Paleino's split file installation branch
------------------------------------------------------------
revno: 504
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Fri 2010-01-01 21:44:48 -1000
message:
  updated setup.py and CHANGES for release
------------------------------------------------------------
revno: 503
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Wed 2009-12-30 11:29:59 -1000
message:
  fixed connection info dialog text alignment
------------------------------------------------------------
revno: 502
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Wed 2009-12-30 11:29:42 -1000
message:
  updated translations.py
------------------------------------------------------------
revno: 501
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Wed 2009-12-30 11:06:27 -1000
message:
  fix network list not being enabled after disconnect button clicked
------------------------------------------------------------
revno: 500
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Wed 2009-12-30 10:13:49 -1000
message:
  fix a typo in the Slackware init script
------------------------------------------------------------
revno: 499
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Wed 2009-12-30 10:06:39 -1000
message:
  update the Arch init script to use the -k switch
------------------------------------------------------------
revno: 498
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Wed 2009-12-30 08:29:22 -1000
message:
  change the default height of the network properties dialog so that scrollbars will never be needed
------------------------------------------------------------
revno: 497
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Wed 2009-12-30 08:28:50 -1000
message:
  update news with a note to packagers about the -k option
------------------------------------------------------------
revno: 496
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-12-29 21:22:23 -0500
message:
  Modified two initscripts to support wicd -k, made wicd -k have a non-zero exit code if it can't find a daemon to kill.
------------------------------------------------------------
revno: 495
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-12-29 21:01:59 -0500
message:
  Cleaned up the wicd-curses code, pruned the documentation of old stuff, and removed the -c/-r options from wicd-curses, since only -r works.
------------------------------------------------------------
revno: 494
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-12-29 20:50:31 -0500
message:
  Added a command-line argument to the wicd daemon that will disconnect active connections before terminating the daemon.
------------------------------------------------------------
revno: 493
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Tue 2009-12-29 14:36:03 -1000
message:
  added code to make the network properties dialog box resizable
------------------------------------------------------------
revno: 492
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Tue 2009-12-29 12:09:42 -1000
message:
  backup and restore user's resolv.conf on start/exit
------------------------------------------------------------
revno: 491
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Tue 2009-12-29 11:11:14 -1000
message:
  save the wireless network profile when connecting in order to save hidden essids
------------------------------------------------------------
revno: 490
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Mon 2009-12-28 10:21:18 -1000
message:
  expose methods for getting a list of interfaces over DBus
------------------------------------------------------------
revno: 489
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-12-27 22:22:09 -0500
message:
  Use the system python instead of a local one (which may be referenced inside the scripts that call wicd).  Thanks to Russel O'Connor.
------------------------------------------------------------
revno: 488
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Wed 2009-12-23 16:51:19 -1000
message:
  updated version number, CHANGES, and NEWS
------------------------------------------------------------
revno: 487
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Wed 2009-12-23 16:48:39 -1000
message:
  add support for copying dhclient.conf.template from a default file if it isn't found
------------------------------------------------------------
revno: 486
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Tue 2009-12-22 18:48:43 -1000
message:
  added dhclient.conf.template and made setup.py install it
------------------------------------------------------------
revno: 485
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Mon 2009-12-14 16:21:02 -0500
message:
  Fix crash on accessing preferences.
------------------------------------------------------------
revno: 484
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-12-01 23:35:45 -0500
message:
  Remove the 'wired' wpa_supplicant driver from the list of drivers returned from
  GetWpaSupplicantDrivers().
------------------------------------------------------------
revno: 483
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-12-01 23:24:48 -0500
message:
  Improved compatibility with the init system in Fedora/RHEL/CentOS.
------------------------------------------------------------
revno: 482
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Tue 2009-12-01 20:59:27 -0600
message:
  updated version number, CHANGES, and NEWS for release
------------------------------------------------------------
revno: 481
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Mon 2009-11-30 12:14:45 -0500
message:
  Some wicd-curses cleanup.
------------------------------------------------------------
revno: 480 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Thu 2009-11-26 21:43:15 -0600
message:
  merged optional-dhcp-hostnames to make optional hostnames work in the daemon
------------------------------------------------------------
revno: 479
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.7
timestamp: Thu 2009-11-26 21:42:39 -0600
message:
  add checkbox to GTK UI to make using the DHCP Hostname optional
------------------------------------------------------------
revno: 478 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-11-26 00:05:03 -0500
message:
  Merge in Adam's dhclient-hostname stuff, and fix up the dhcphostname KeyError.
------------------------------------------------------------
revno: 477 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: wicd
timestamp: Wed 2009-11-25 21:27:29 -0600
message:
  merged Erik de Castro Lopo's branch to allow multiple configuration files
------------------------------------------------------------
revno: 476
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Tue 2009-11-24 00:27:41 -0500
message:
  Make pinging wireless access points when using static gateways optional.
------------------------------------------------------------
revno: 475
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: wicd
timestamp: Mon 2009-11-23 12:22:43 -0600
message:
  make sure that disconnect scripts are run when the connection is dropped
------------------------------------------------------------
revno: 474
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: wicd
timestamp: Mon 2009-11-23 11:43:50 -0600
message:
  make setting the essid work even if the essid is a reserved word
------------------------------------------------------------
revno: 473
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: wicd
timestamp: Mon 2009-11-23 11:01:32 -0600
message:
  fixed incorrect translation when using a wired network
------------------------------------------------------------
revno: 472
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: wicd
timestamp: Sat 2009-11-21 22:08:33 -0600
message:
  updated setup.py, NEWS, and CHANGES
------------------------------------------------------------
revno: 471
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-11-21 18:27:41 -0500
message:
  Fix dhcp hostname bug in wicd-curses, and fix a small formatting issue.
------------------------------------------------------------
revno: 470 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: wicd
timestamp: Sat 2009-11-21 12:06:46 -0600
message:
  merged optionalgui
------------------------------------------------------------
revno: 469 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: wicd
timestamp: Sat 2009-11-21 11:56:03 -0600
message:
  merged cli_integration
------------------------------------------------------------
revno: 468 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: wicd
timestamp: Sat 2009-11-21 11:55:50 -0600
message:
  merged connection-info
------------------------------------------------------------
revno: 467 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: wicd
timestamp: Sat 2009-11-21 11:47:02 -0600
message:
  merged dhcp-hostnames
------------------------------------------------------------
revno: 466 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: wicd
timestamp: Sat 2009-11-21 11:03:28 -0600
message:
  merged global-parameters
------------------------------------------------------------
revno: 465 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: wicd
timestamp: Sat 2009-11-21 11:02:56 -0600
message:
  merged wired-while-scanning
------------------------------------------------------------
revno: 464
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Sun 2009-11-01 15:22:45 -0500
message:
  Retry AP association verification 10 times to accomodate cards that are slow to associate.  Thanks to muttoni for the patch.
------------------------------------------------------------
revno: 463
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Fri 2009-10-30 23:52:30 -0400
message:
  Determine valid wpa_supplicant drivers by parsing the list from wpa_supplicant, rather than comparing it's output to a static list of possible drivers.
------------------------------------------------------------
revno: 462
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Sat 2009-10-24 01:03:29 -0400
message:
  Handle essids that are made up of numbers.  Thanks to anish for the patch.
------------------------------------------------------------
revno: 461
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-09-29 12:38:11 -0400
message:
  Remove uses of ternary operator from wicd-curses, restoring support for python 2.4.
------------------------------------------------------------
revno: 460
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-09-27 17:35:26 -0400
message:
  Reduce cursor flicker in wicd-curses.
------------------------------------------------------------
revno: 459
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Sat 2009-09-19 17:24:40 -0400
message:
  Still trying to get rid of this empty wired-settings.conf section bug.
------------------------------------------------------------
revno: 458
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Sat 2009-09-19 14:58:00 -0400
message:
  chmod to 0755, not 755. Fixes LP #431304
------------------------------------------------------------
revno: 457
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Thu 2009-09-10 19:43:26 -0400
message:
  Fix for crash when trying to connect to an essid with all numeric characters.
------------------------------------------------------------
revno: 456
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-09-02 10:20:13 -0400
message:
  Adjusted the keystrokes in wicd-curses to support 8-bit terminals (like xterms by default).
  
  Thanks to DarkStarSword for the patch.
------------------------------------------------------------
revno: 455
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Fri 2009-08-28 19:47:55 -0400
message:
  Wait for the network interface to finish coming up before moving on during the connection process.
  Use a dict instead of if/elifs in StartDHCP() method.
------------------------------------------------------------
revno: 454
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-08-15 18:12:40 -0500
message:
  updated hidden network ESSID retrieval code
------------------------------------------------------------
revno: 453 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Fri 2009-08-14 11:00:54 -0500
message:
  merged 1.6-urwid-all
------------------------------------------------------------
revno: 452 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-08-13 12:11:55 -0500
message:
  merged 1.6-strip-ips and updated translations.py
------------------------------------------------------------
revno: 451 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-08-13 05:10:58 -0500
message:
  merged 1.6-reconnect-dbm to allow automatic reconnection when the dBm signal drops below -99
------------------------------------------------------------
revno: 450
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-08-05 21:27:24 -0500
message:
  commit fix from https://bugs.launchpad.net/wicd/+bug/388116/comments/3
------------------------------------------------------------
revno: 449 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Mon 2009-08-03 19:30:21 -0400
message:
  Merge.
------------------------------------------------------------
revno: 448
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Mon 2009-08-03 19:29:18 -0400
message:
  Actually display the error messag we get when scanning fails in the ioctl backend.
  Make sure we actually abort the connection attempt when authentication validation fails.
------------------------------------------------------------
revno: 447
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Sat 2009-08-01 21:25:58 -0400
message:
  Fix crash when trying to use an unavaiable locale.
------------------------------------------------------------
revno: 446
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Sat 2009-08-01 19:05:24 -0400
message:
  Enforce valid wired profile names at the GUI level.
------------------------------------------------------------
revno: 445
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Sat 2009-08-01 18:57:00 -0400
message:
  Fix some minor formatting issues
  Don't save wired profiles that have only whitespace in their names.
------------------------------------------------------------
revno: 444
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Mon 2009-07-27 21:09:18 -0500
message:
  moved 55wicd to 91wicd
------------------------------------------------------------
revno: 443
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-07-22 21:47:47 -0500
message:
  added the -o option to the help text
------------------------------------------------------------
revno: 442
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-07-22 21:29:34 -0500
message:
  added support for not displaying the tray icon or the GUI, only the notifications
------------------------------------------------------------
revno: 441
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Mon 2009-07-13 18:10:28 -0400
message:
  Fix typo in prefs.py
------------------------------------------------------------
revno: 440
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-07-07 22:01:19 -1000
message:
  commit Dan's fix for long numeric keys
------------------------------------------------------------
revno: 439 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-07-07 21:51:32 -1000
message:
  merge trunk-rw again
------------------------------------------------------------
revno: 438
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-07-07 18:41:52 -1000
message:
  Added Robby's comment on at_console
------------------------------------------------------------
revno: 437 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-07-07 18:29:53 -1000
message:
  merged up to r438 from lp:~rworkman/wicd/trunk-rw
------------------------------------------------------------
revno: 436
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-07-05 09:26:24 -1000
message:
  fix problem running get_translations if translations/ doesn't exist
------------------------------------------------------------
revno: 435
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-07-05 08:56:26 -1000
message:
  updated setup.py version number, CHANGES, and NEWS
------------------------------------------------------------
revno: 434
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-07-05 08:51:39 -1000
message:
  updated translations.py
------------------------------------------------------------
revno: 433
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-07-05 14:42:39 -0400
message:
  Actually tell the user that he may need to be in wpath.wicd_group if wicd-clientgets an access-denied error.
------------------------------------------------------------
revno: 432
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-07-05 08:16:59 -1000
message:
  check to see if the interface exists in the decorator
------------------------------------------------------------
revno: 431
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Thu 2009-07-02 18:26:37 -0400
message:
  Make sure we run to_unicode on all properties we read from disk or get from the user (bug 390680).
  Don't try to run global scripts of the global script directory doesn't exist (bug 386244).
------------------------------------------------------------
revno: 430
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Thu 2009-07-02 16:50:48 -0400
message:
  Fix crash when trying to create an ad-hoc network.
------------------------------------------------------------
revno: 429 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-06-30 22:58:44 -0400
message:
  Merged r353 of 1.6-nacl.
------------------------------------------------------------
revno: 428 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-06-24 19:14:43 -0400
message:
  Merge bugfixes from r351 of 1.6-nacl, thanks to comfrey in #wicd for noticing them.
------------------------------------------------------------
revno: 427
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-06-21 14:45:44 -0400
message:
  Fix typo that crashes wicd-curses on attempting to bring up the help dialog.
------------------------------------------------------------
revno: 426
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-06-20 23:02:23 -0500
message:
  updated setup.py version and CHANGES
------------------------------------------------------------
revno: 425
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-06-20 23:46:38 -0400
message:
  Fix the log file chmodding (os.chmod() can't accept a string, apparently).
------------------------------------------------------------
revno: 424
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-06-20 21:59:45 -0500
message:
  updated translations.py
------------------------------------------------------------
revno: 423 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-06-20 21:44:32 -0500
message:
  merged lp:~nacl/wicd/1.6-access-denied to display an error message if access to the daemon via DBus is denied
------------------------------------------------------------
revno: 422 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-06-20 19:25:10 -0500
message:
  merged lp:~adamblackburn/wicd/1.6-return-101-if-no-strength to allow cards that don't report signal strength to work with Wicd's default settings
------------------------------------------------------------
revno: 421 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-06-20 19:24:07 -0500
message:
  merged lp:~dpaleino/wicd/pre-post-down to allow having pre/post disconnection scripts
------------------------------------------------------------
revno: 420 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-06-20 19:22:36 -0500
message:
  merged lp:~adamblackburn/wicd/loggroup to allow passing the preferred log group and permissions to setup.py configure -- thanks to David Paleino
------------------------------------------------------------
revno: 419 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-06-20 19:20:42 -0500
message:
  merged lp:~adamblackburn/wicd/1.6-cancel-edit-settings to allow canceling the edit settings dialog that appears when attempting to connect to an encrypted network without entering the encryption details
------------------------------------------------------------
revno: 418 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-06-20 10:33:23 -0500
message:
  merged David Paleino's Debian init script that includes a status command
------------------------------------------------------------
revno: 417
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-06-18 14:56:25 +0800
message:
  fixed crash that occured when clicking to connect to a secured network but without entering the security information
------------------------------------------------------------
revno: 416
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-06-16 23:36:58 +0800
message:
  fix a small typo in misc.py -- thanks to David Paleino
------------------------------------------------------------
revno: 415
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-06-16 07:44:27 +0800
message:
  disable automatically disconnecting when Automatically reconnect is False
------------------------------------------------------------
revno: 414 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Sun 2009-06-14 14:27:21 -0400
message:
  Merge.
------------------------------------------------------------
revno: 413
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: trunk
timestamp: Sun 2009-06-14 14:25:06 -0400
message:
  Convert strings being prints out by dhclients to utf-8 before trying to log them.
  When iwscan displays two entries for a hidden network, only display the one with the essid included.
------------------------------------------------------------
revno: 412
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: wicd
timestamp: Tue 2009-06-09 13:25:02 +0800
message:
  display the ESSID/Wired Network in the title of the settings dialog
------------------------------------------------------------
revno: 411
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Fri 2009-06-05 16:13:38 +0800
message:
  Updated translations.py
------------------------------------------------------------
revno: 410
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Fri 2009-06-05 15:20:58 +0800
message:
  updated CHANGES
------------------------------------------------------------
revno: 409 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Fri 2009-06-05 15:08:47 +0800
message:
  merged experimental-nacl
------------------------------------------------------------
revno: 408
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-06-04 22:24:14 +0800
message:
  add .sourceforge.net to the URLs in the translator
------------------------------------------------------------
revno: 407
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-06-04 21:39:36 +0800
message:
  updated CHANGES, setup.py version, and NEWS
------------------------------------------------------------
revno: 406 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-05-30 23:18:22 -0400
message:
  Merge r342 of experimental-nacl.
------------------------------------------------------------
revno: 405
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-05-28 11:10:10 +0800
message:
  updated CHANGES and setup.py version
------------------------------------------------------------
revno: 404 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-05-27 22:25:32 -0400
message:
  Merge 1.6-dan
------------------------------------------------------------
revno: 403
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-05-23 12:51:02 +0800
message:
  Updated version numbers and CHANGES
------------------------------------------------------------
revno: 402 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-05-23 00:40:52 -0400
message:
  Merged r340 of experimental-nacl.
------------------------------------------------------------
revno: 401
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Fri 2009-05-22 11:29:12 +0800
message:
  Buttons are now activated correctly when using the keyboard
------------------------------------------------------------
revno: 400 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-05-21 23:18:48 +0800
message:
  merged 1.6-rworkman
------------------------------------------------------------
revno: 399 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-05-19 21:25:09 -0400
message:
  Merged r336 of experimental-nacl.
------------------------------------------------------------
revno: 398 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-05-20 07:12:58 +0800
message:
  Merged 1.6-rworkman
------------------------------------------------------------
revno: 397 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-05-20 07:10:49 +0800
message:
  merge
------------------------------------------------------------
revno: 396
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-05-20 07:09:42 +0800
message:
  changed DHCP client order in preferences dialog
------------------------------------------------------------
revno: 395
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-05-14 21:55:59 +0800
message:
  update CHANGES and NEWS
------------------------------------------------------------
revno: 394 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-05-14 09:44:28 -0400
message:
  Merged typo fix from r331 of experimental-nacl.
------------------------------------------------------------
revno: 393
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-05-14 19:37:20 +0800
message:
  Fix <b>/</b> tags
------------------------------------------------------------
revno: 392 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-05-12 00:06:38 -0400
message:
  Merged r330 of experimental-nacl.
------------------------------------------------------------
revno: 391
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-05-10 13:53:54 -0400
message:
  Don't use dbusmanager.DBusException--it doesn't exist.
------------------------------------------------------------
revno: 390
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-05-10 22:51:49 +0800
message:
  Made the GUI look better with dark themes
------------------------------------------------------------
revno: 389
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-05-10 22:03:52 +0800
message:
  Removed italicized text from the GTK GUI
------------------------------------------------------------
revno: 388 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-05-10 09:51:01 -0400
message:
  Merged with r328 of experimental-nacl.
------------------------------------------------------------
revno: 387
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-05-09 20:53:49 -0400
message:
  Make bitrates regex work when it's the last entry in a cell.
------------------------------------------------------------
revno: 386
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-05-06 18:13:29 -0400
message:
  Fixed missing endquote in wicd-client.py.
------------------------------------------------------------
revno: 385
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-05-05 12:56:09 +0800
message:
  Updated translations.py
------------------------------------------------------------
revno: 384
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-05-05 12:55:35 +0800
message:
  Added code to debug why pynotify fails
------------------------------------------------------------
revno: 383
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-05-05 12:00:22 +0800
message:
  updated CHANGES/NEWS
------------------------------------------------------------
revno: 382 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-05-05 11:58:36 +0800
message:
  merged notifications branch
------------------------------------------------------------
revno: 381 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-05-03 22:00:24 +0800
message:
  print wicd's version number on daemon start
------------------------------------------------------------
revno: 380
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-05-03 21:58:11 +0800
message:
  print wicd's version number on daemon start
------------------------------------------------------------
revno: 379 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-05-02 14:08:07 -0400
message:
  Merged bugfixes from r321 of experimental-nacl.
------------------------------------------------------------
revno: 378
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-05-02 15:32:58 +0800
message:
  Updated INSTALL to use update_translations_py before get_translations
------------------------------------------------------------
revno: 377
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-05-02 15:30:09 +0800
message:
  Added automatically generated translations.py
------------------------------------------------------------
revno: 376
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-05-02 15:24:50 +0800
message:
  added support for automatically retrieving translations.py
------------------------------------------------------------
revno: 375
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Fri 2009-05-01 20:26:46 -0400
message:
  Fix bug where shared essid settings couldn't be disabled once they were turned on.
------------------------------------------------------------
revno: 374
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Fri 2009-05-01 20:20:40 -0400
message:
  Fix crash when saving settings for unencrypted networks.
  Remove unneeded function in prefs.py
------------------------------------------------------------
revno: 373 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Fri 2009-05-01 21:58:53 +0800
message:
  Merge 1.6-rworkman (thanks!)
------------------------------------------------------------
revno: 372
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Fri 2009-05-01 13:41:13 +0800
message:
  Also catch AttributeErrors when guessing data types
------------------------------------------------------------
revno: 371
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2009-04-27 19:17:01 -0400
message:
  Correctly handle case where a key is all digits and starts with a '0'.
  Remove some unused imports.
  Simplfy code that checks for valid wpa_supplicant drivers.
------------------------------------------------------------
revno: 370
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-04-26 08:03:59 +0900
message:
  Updated version numbers
------------------------------------------------------------
revno: 369
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-04-26 08:00:33 +0900
message:
  Redirected bzr output to /dev/null
------------------------------------------------------------
revno: 368
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-04-26 07:53:24 +0900
message:
  Fixed setup.py translations installation and made wicd-daemon.py +x
------------------------------------------------------------
revno: 367 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-04-23 19:41:10 +0800
message:
  Merged
------------------------------------------------------------
revno: 366
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-04-23 19:38:48 +0800
message:
  Updated CHANGES and added NEWS
------------------------------------------------------------
revno: 365
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-04-22 22:17:39 +0800
message:
  fixed another typo
------------------------------------------------------------
revno: 364
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-04-22 22:11:33 +0800
message:
  fixed a typo
------------------------------------------------------------
revno: 363
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-04-22 22:02:31 +0800
message:
  Updated version number
------------------------------------------------------------
revno: 362
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-04-22 21:45:51 +0800
message:
  Updated vcsinfo.py generation logic
------------------------------------------------------------
revno: 361
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2009-04-21 21:25:59 -0400
message:
  Refactor monitor.py polling code to remove reliance on globals.
  Make sure we update the polling rate in wicd-monitor when the backend changes.
------------------------------------------------------------
revno: 360
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2009-04-21 20:30:40 -0400
message:
  Use atexit instead of catching SIGTERM in wicd-daemon.
  Use Popen to launch wicd-monitor instead of gobject.spawn_async.
------------------------------------------------------------
revno: 359 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-04-21 17:47:46 -0400
message:
  Merged r316 of experimental-nacl, providing some small feature additions and bufixes.
------------------------------------------------------------
revno: 358
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-04-21 22:33:29 +0800
message:
  Updated CHANGES
------------------------------------------------------------
revno: 357
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Mon 2009-04-20 01:02:20 -0400
message:
  Set the  "Required-Stop" field in the openSUSE initscript to $null to get the OBS to stop complaining.
------------------------------------------------------------
revno: 356
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: hiddenfixes
timestamp: Sun 2009-04-19 21:13:58 -0400
message:
  Use the -v option if dhclient is 4.x
  Simplify sorting method for WAPs.
------------------------------------------------------------
revno: 355
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Fri 2009-04-17 14:38:12 +0900
message:
  Made wicd-daemon.py executable
------------------------------------------------------------
revno: 354
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Thu 2009-04-16 21:49:42 -0400
message:
  Remove pointless assignment in be-ioctl
  Set wireless mode before putting interface up.
  Put wireless interfaces up before trying to authenticate.
------------------------------------------------------------
revno: 353
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-04-14 01:06:36 -0400
message:
  Updated wicd-curses.8.in, made the date in wicd-client.1 accurate, fixed a typo in setup.py, and added a bdist_rpm option in setup.cfg.
------------------------------------------------------------
revno: 352
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-04-12 02:50:57 -0400
message:
  Added my name to setup.py.
------------------------------------------------------------
revno: 351
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sun 2009-04-12 14:48:52 +0800
message:
  vcsinfo.py is regenerated when setup.py is run
------------------------------------------------------------
revno: 350
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-04-11 22:45:13 -0400
message:
  Fix duplicate GetOperationalMode() methods.
  Switch misc.get_gettext() to translations.get_gettext() in configscript.py
------------------------------------------------------------
revno: 349
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-04-11 22:41:34 -0400
message:
  Add missing print statement to ExecuteScripts()
------------------------------------------------------------
revno: 348
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-04-11 19:57:02 -0400
message:
  Make sure we fall back to wpa_cli if wpactrl isn't available when stopping wpa_supplicant.
------------------------------------------------------------
revno: 347
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-04-11 18:53:30 -0400
message:
  Only check for wireless tools in the ioctl backend if wpactrl isn't available.
  Fix up error handling when there is no graphical sudo program installed.
------------------------------------------------------------
revno: 346
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-04-11 18:37:51 -0400
message:
  Make sure we check for wirelesstools in the ioctl backend.
------------------------------------------------------------
revno: 345
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-04-11 18:04:22 -0400
message:
  Don't build C extensions modules in main setup.py
  Give WirelessInformationDialog a parent.
------------------------------------------------------------
revno: 344 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Fri 2009-04-10 22:46:57 -0400
message:
  Merged some more wicd-curses changes, experimental-nacl r310.
------------------------------------------------------------
revno: 343 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Fri 2009-04-10 22:13:48 -0400
message:
  Merged wicd-curses changes from r309 of experimental-nacl.
------------------------------------------------------------
revno: 342
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-04-04 13:43:29 -0400
message:
  Fix crash with hidden essids if it was stored in wireless-settings.conf as None.
  Only trigger a wpa_supplicant rescan once when connecting.
------------------------------------------------------------
revno: 341
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Fri 2009-04-03 19:07:00 -0400
message:
  Always use the "C" local when running external commands.
------------------------------------------------------------
revno: 340 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Fri 2009-03-27 23:14:19 -0400
message:
  Merge.
------------------------------------------------------------
revno: 339
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Fri 2009-03-27 23:13:16 -0400
message:
  Fix another issue with integer keys.
------------------------------------------------------------
revno: 338
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Wed 2009-03-25 20:19:11 -0400
message:
  Add a workaround for an issue where large integers got mishandled by python-dbus on 64-bit systems.
  Fix potential issue if encryption key is a number
  Close all open fd's in the daemonize code.
------------------------------------------------------------
revno: 337 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Tue 2009-03-24 12:30:25 -0400
message:
  Merged in curses-uimod changes from experimental-nacl.
------------------------------------------------------------
revno: 336
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2009-03-23 17:53:59 -0400
message:
  Remove some unneeded imports.
  Remove unused variable.
------------------------------------------------------------
revno: 335
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2009-03-23 01:30:16 -0400
message:
  Merge to import lines.
------------------------------------------------------------
revno: 334
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2009-03-23 01:28:50 -0400
message:
  Make the ioctl backends use of python-iwscan and python-wpactrl optional.
  Don't use __all__ in wnettools.py, and make the backends explicitly import the methods/classes they need from wnettools.py.
------------------------------------------------------------
revno: 333
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-03-22 18:39:44 -0400
message:
  Update docstrings.
------------------------------------------------------------
revno: 332
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-03-22 17:36:55 -0400
message:
  Update copyrights and some docstrings.
  Make trayicon network menu scan-triggering behave better.
------------------------------------------------------------
revno: 331
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-03-22 00:13:42 -0400
message:
  Fix decorators.
------------------------------------------------------------
revno: 330 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-03-21 22:38:33 -0400
message:
  Merge enctemplates branch.
------------------------------------------------------------
revno: 329
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-03-21 22:22:04 -0400
message:
  Added a neediface decorator to replace using "if not self.iface return..." in every method that needs it.
------------------------------------------------------------
revno: 328
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-03-21 19:41:13 -0400
message:
  Add missing check for no interface to GetIP.
------------------------------------------------------------
revno: 327
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-03-21 16:28:40 -0400
message:
  - Replace some tabs that snuck in with spaces.
  - Try to validate successful association with static IPs by pinging the gateway specified.
------------------------------------------------------------
revno: 326
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-03-15 20:54:16 -0400
message:
  Apply Debian initscript patch from David Paleino.
------------------------------------------------------------
revno: 325 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-03-15 15:54:14 -0400
message:
  Merge in resolvconf support.
------------------------------------------------------------
revno: 324
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-03-12 17:55:16 +0800
message:
  Fixed get_translations and renamed cleargenerated to clear_generated
------------------------------------------------------------
revno: 323
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2009-03-09 01:46:31 -0400
message:
  Add lunar init directory.
------------------------------------------------------------
revno: 322 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-03-08 23:39:41 -0400
message:
  Still trying to fix this...
------------------------------------------------------------
revno: 321 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-03-08 22:49:24 -0400
message:
  Merge in Dario Freddi's additions, with some modifications.
------------------------------------------------------------
revno: 320
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-03-08 20:38:54 -0400
message:
  Create an error dialog when we get a DBus access denied error.
------------------------------------------------------------
revno: 319
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-03-08 15:58:44 -0400
message:
  Fix suse init script.
------------------------------------------------------------
revno: 318 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-03-07 11:38:37 -0500
message:
  Merged wicd-curses changes from experimental-nacl, r294
------------------------------------------------------------
revno: 317
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Fri 2009-03-06 19:28:09 -0500
message:
  Made the wicd-curses script add WHEREAREMYFILES
  Moved WHEREAREMYFILES to /var/lib/wicd, and adapted setup.py, wpath.py, and
    the wicd-client script to support it
  Fixed a typo in setup.py
------------------------------------------------------------
revno: 316 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Wed 2009-03-04 18:34:35 -0500
message:
  Merge
------------------------------------------------------------
revno: 315
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Wed 2009-03-04 18:32:15 -0500
message:
  Fix setup.py bug where - was getting turned into _ in paths.
------------------------------------------------------------
revno: 314
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-03-01 23:15:34 -0500
message:
  Apply lang patch from David Paleino
------------------------------------------------------------
revno: 313 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-03-01 23:00:22 -0500
message:
  Merge in global script support.
------------------------------------------------------------
revno: 312
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-02-28 15:34:34 -0500
message:
  Don't use the thread module in networking.py.
------------------------------------------------------------
revno: 311 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Fri 2009-02-27 00:38:09 -0500
message:
  Merge.
------------------------------------------------------------
revno: 310
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Fri 2009-02-27 00:35:53 -0500
message:
  Get rid of unneeded "use_tray" variable being passed around in wicd-client.
  Remove some extra whitespace in networking.py
------------------------------------------------------------
revno: 309
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Fri 2009-02-27 00:08:31 -0500
message:
  Fix issue where signal strength wouldn't be reported correctly if the first link quality regex didn't match.
  Add some helper methods that will eventually be used for encryption template parsing.
  Use more specific exception checking in a few places.
------------------------------------------------------------
revno: 308
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-02-21 13:11:55 -0500
message:
  Fix typo
------------------------------------------------------------
revno: 307 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-02-21 01:37:38 -0500
message:
  Merged experimental-nacl r288, and updated wicd-curses revno.
------------------------------------------------------------
revno: 306 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-02-21 01:00:40 -0500
message:
  merge
------------------------------------------------------------
revno: 305
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-02-21 00:57:40 -0500
message:
  Create the wpactrl interface connection in a less bizarre way.
------------------------------------------------------------
revno: 304
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-02-19 18:14:40 -0500
message:
  Fixed regex problem in wicd/misc.py.
------------------------------------------------------------
revno: 303
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-02-19 22:59:40 -0600
message:
  Added check for loop before exiting loop
------------------------------------------------------------
revno: 302
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Thu 2009-02-19 22:22:12 -0600
message:
  Fixed the dhcp_object error.
------------------------------------------------------------
revno: 301 [merge]
committer: Andrew Psaltis <ampsaltis@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-02-18 07:42:48 -0500
message:
  Merged with experimental-nacl, r282.
------------------------------------------------------------
revno: 300 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-02-18 16:15:50 +0800
message:
  Merge
------------------------------------------------------------
revno: 299
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Wed 2009-02-18 16:13:31 +0800
message:
  Updated copyright, setup.py version number, and AUTHORS
------------------------------------------------------------
revno: 298
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Fri 2009-02-13 18:54:27 -0500
message:
  Fix bug where GUI could get stuck in the connecting state if the GUI was first opened while a connection was in progress.
------------------------------------------------------------
revno: 297 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Thu 2009-02-12 20:07:12 -0500
message:
  Merge experimental-rworkman
------------------------------------------------------------
revno: 296 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Thu 2009-02-12 18:48:10 -0500
message:
  Merged curses changes.
------------------------------------------------------------
revno: 295
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Thu 2009-02-12 18:38:40 -0500
message:
  Fix issue where GetForcedDisconnect was returning True when we had just connected.
  Fix issues with auto-switch to wired.
  Change to how the gui handles changing state from connecting to not-connecting to be nicer.
  Make the gui trigger monitor state updates while in the connecting state.
  Make sure the monitor logs a warning when it catches a D-Bus exception.
  Make sure cancelling a wired connection attempt kills DHCP.
  Fix issue where DHCP wouldn't get run if automatic dhcp tool was enabled.
------------------------------------------------------------
revno: 294
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Wed 2009-02-11 22:44:38 -0500
message:
  Make default init script executable.
------------------------------------------------------------
revno: 293
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Wed 2009-02-11 21:01:12 -0500
message:
  Fix possible crash when handling D-Bus exceptions in monitor.py
------------------------------------------------------------
revno: 292
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Wed 2009-02-11 20:55:02 -0500
message:
  Make sure it's possible to stop a dhcp client that's in the process of getting a lease.
  Have gui.py trigger connection status updates every .5 seconds if in a connecting state.
  Fix typo in wicd-client.py
------------------------------------------------------------
revno: 291
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2009-02-10 01:08:12 -0500
message:
  Don't convert to milliseconds in misc.timeout_add if milli is True.
------------------------------------------------------------
revno: 290
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2009-02-10 00:58:11 -0500
message:
  Change "Advanced Settings" to "Properties"
  Remove some unneeded debugging output.
  Replace gobject.timeout_add_seconds / gobject.timeout_add if/else logic with calls to a misc.timeout_add method that does it internally.
  Only display the dbus lost error message if dbus has been gone for 5 seconds without coming back.
------------------------------------------------------------
revno: 289
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-02-08 19:59:53 -0500
message:
  Tweak algorithm for searching for sudo progs so we search every directory in $PATH for a particular app before moving on to the next one.
------------------------------------------------------------
revno: 288
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-02-08 18:42:05 -0500
message:
  Fix crashing bug in daemon.
  Dont have wicd-monitor inherit stdin from the daemon.
------------------------------------------------------------
revno: 287
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-02-08 16:14:17 -0500
message:
  Applied LC_MESSAGES patch from David Paleino
------------------------------------------------------------
revno: 286
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-02-08 16:09:55 -0500
message:
  Enforce only  one scan being allowed to happen at a time in the daemon.
------------------------------------------------------------
revno: 285
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-02-07 01:50:49 -0500
message:
  Always updated the network list if we get a scan finished signal.
------------------------------------------------------------
revno: 284
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-02-07 01:22:42 -0500
message:
  Fix some issues with the GUI statusbar being incorrect.
  Make wicd-client more tolerant of dbus exceptions.
  Disconnect from both managed interfaces before making a connection.
------------------------------------------------------------
revno: 283
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Fri 2009-02-06 19:26:09 -0500
message:
  Fix bug where interface name was being passed to the dhcp client executable twice.
  Tweak connect/disconnect to not kill any processes.  Instead it releases leases and terminates the wpa_supplicant instance through its ctrl interface.  This should make wicd handle multiple connections better.
------------------------------------------------------------
revno: 282
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Wed 2009-02-04 23:05:05 -0500
message:
  If the monitor loses contact with the daemon for an extended period, die instead of ignoring the errors.
------------------------------------------------------------
revno: 281
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Wed 2009-02-04 19:13:06 -0500
message:
  More tweaking of how the GUI updates the status bar.  Should be more efficient now.
------------------------------------------------------------
revno: 280 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Wed 2009-02-04 18:32:58 -0500
message:
  Merge experimental-nacl.
------------------------------------------------------------
revno: 279
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Wed 2009-02-04 00:26:13 -0500
message:
  Rather than polling for network status in the GUI, just have the monitor run an on-demand pull and get the results from the daemon.  Should reduce iwconfig/ifconfig calls while the GUI is open and make for nicer looking code.
------------------------------------------------------------
revno: 278
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2009-02-03 23:48:58 -0500
message:
  Fix bug where link detection tool value wasn't get propogated down the stack.
------------------------------------------------------------
revno: 277 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2009-02-03 21:21:40 -0500
message:
  Merge experimental-rworkman
------------------------------------------------------------
revno: 276
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2009-02-03 19:59:53 -0500
message:
  Add a .bzrignore file.
------------------------------------------------------------
revno: 275
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2009-02-03 19:38:07 -0500
message:
  Remove unneeded parameter from PreferencesDialog constructor.
------------------------------------------------------------
revno: 274
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2009-02-03 19:35:57 -0500
message:
  Make sure we try each external app in order if selection is set to be automatic.
------------------------------------------------------------
revno: 273
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2009-02-03 00:05:11 -0500
message:
  Make sure debug settings are propogated down the stack as soon a the daemon loads.
------------------------------------------------------------
revno: 272
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2009-02-02 23:47:54 -0500
message:
  Make GetWirelessInterfaces() return a list instead of the first interface.  Also make the networking.py layer pull the first entry from the list.
  Some documentation cleanup.
------------------------------------------------------------
revno: 271
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2009-02-02 23:39:52 -0500
message:
  Minor formatting tweak
------------------------------------------------------------
revno: 270
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2009-02-02 23:05:29 -0500
message:
  Simplify the inheritance of static wnettools functions in the backends.
  Make sure we select a default route flushing tool.
------------------------------------------------------------
revno: 269 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-02-01 23:32:55 -0500
message:
  Merge NaCl's curses frontend and rworkman's experimental branch.
------------------------------------------------------------
revno: 268
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-02-01 23:32:28 -0500
message:
  Remove some comments.
------------------------------------------------------------
revno: 267
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-02-01 23:10:11 -0500
message:
  Make it possible for the user to select which graphical sudo application to use.
  Make any external apps not installed on the system unselectable in the GUI.
  Rework the app selection code in the backend to fall back to auto-selection if a requested app isn't installed.
  Tweak the autoconnect attempt throttle in wicd-monitor to not be as aggressive.
  Made sure the preferences dialog would reconnect to dbus when a DaemonStarting signal was sent.
------------------------------------------------------------
revno: 266
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-01-31 20:22:15 -0500
message:
  Fix broken Scan() call in wicd-client
------------------------------------------------------------
revno: 265
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-01-31 00:31:50 -0500
message:
  A bunch of small fixes for errors/warnings reported by Pylint.
------------------------------------------------------------
revno: 264
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Fri 2009-01-30 21:20:43 -0500
message:
  Fix crash if essid is None
------------------------------------------------------------
revno: 263 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Wed 2009-01-28 19:54:17 -0500
message:
  Merge translations updates.
------------------------------------------------------------
revno: 262
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Wed 2009-01-28 19:52:51 -0500
message:
  Always scan when the daemon starts.
  Remove old init scripts.
------------------------------------------------------------
revno: 261
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2009-01-26 18:46:57 -0500
message:
  Fix issues with the way disconnect scripts work.
  Make flushing the route table more likely to work.
------------------------------------------------------------
revno: 260
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Mon 2009-01-26 11:51:09 +0800
message:
  Added three new translations
------------------------------------------------------------
revno: 259
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Mon 2009-01-26 11:15:35 +0800
message:
  Fixed some typos in the hidden network code and fix a bug if you try to start the tray icon without the daemon
------------------------------------------------------------
revno: 258
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Mon 2009-01-26 10:54:38 +0800
message:
  Fixed a spacing issue in the preferences dialog
------------------------------------------------------------
revno: 257
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-01-25 16:43:45 -0500
message:
  Fixing the fix...
------------------------------------------------------------
revno: 256
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-01-25 16:40:26 -0500
message:
  Don't try to set properties in the advanced dialog before it exists.
------------------------------------------------------------
revno: 255
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-01-25 16:34:32 -0500
message:
  Fix issue where toggling default wired profile could cause settings to get set for multiple profiles.
  Remove some no longer needed checks in the daemon.
------------------------------------------------------------
revno: 254
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-01-25 15:15:49 -0500
message:
  Add UI portion of wired switch feature.
------------------------------------------------------------
revno: 253
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2009-01-25 00:44:51 -0500
message:
  Add new wired GUI icon.
------------------------------------------------------------
revno: 252 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-01-24 23:54:57 -0500
message:
  Merge in improved wired profile UI
  Tweak how wired profile list is built to be simple/more efficent and not cause a dbus error.
------------------------------------------------------------
revno: 251
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-01-24 23:31:24 -0500
message:
  Initial work on automatic switchover to wired networks (no UI work yet)
  actually use "write=True" instead of just "True" everywhere we do config writes explicitly.
  Fix the scripts dialog not working for wired connections.
  Force the monitor to update state after triggering a disconnect or connect.
  Remove an unneeded Scan call from autoconnect.py
------------------------------------------------------------
revno: 250
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Fri 2009-01-23 08:35:28 -0500
message:
  Fix broken Scan() call in autoconnect.py
------------------------------------------------------------
revno: 249
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Thu 2009-01-22 21:51:03 -0500
message:
  Tweak a comment
------------------------------------------------------------
revno: 248
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Thu 2009-01-22 21:26:05 -0500
message:
  Tweak autoconnect logic be more likely to work if initial scans don't give us good results.
------------------------------------------------------------
revno: 247
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2009-01-20 23:55:43 -0500
message:
  Add missing guiutil module
------------------------------------------------------------
revno: 246
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2009-01-20 00:32:56 -0500
message:
  Add support for writing config data with whitespace kept intact.
  Propgate debug setting to the ConfigManager instances.
  Don't write essid key sections to the config file if we're not actually using them.
------------------------------------------------------------
revno: 245
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2009-01-19 23:45:05 -0500
message:
  Fix a few typos in the option gateway code.
------------------------------------------------------------
revno: 244
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2009-01-19 23:37:35 -0500
message:
  Fix bug that was keeping DHCP release from working.
------------------------------------------------------------
revno: 243
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2009-01-19 01:06:57 -0500
message:
  Fix ttls template
  Add a guiutils module for gui-related functions/classes that are used in multiple modules.
  Replace os.access with os.path.exists
  Make the static gateway entry optional.
  Don't auto-connect/reconnect when the gui is open.
  Fix bug that would keep the gui from working if the wired network entry was displayed.
------------------------------------------------------------
revno: 242
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2009-01-17 12:58:02 -0500
message:
  Fix bug where encryption keys with non-ascii characters caused crashes.
  Only write settings being saved if debug mode is on.
  Clear keys entered through the GUI when the encryption checkbox is disabled.
------------------------------------------------------------
revno: 241 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Thu 2009-01-15 01:25:24 -0500
message:
  Merging in noexpander branch.
------------------------------------------------------------
revno: 240
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Thu 2009-01-15 01:22:40 -0500
message:
  Use dbusmanager in autoconnect.py
------------------------------------------------------------
revno: 239
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Mon 2009-01-12 20:09:11 +0800
message:
  Applied patch from https://bugs.launchpad.net/wicd/+bug/315238 to add expandable values to the script parameters
------------------------------------------------------------
revno: 238
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: 1.6
timestamp: Sat 2009-01-10 08:53:55 +0800
message:
  Don't expand the DNS domain
------------------------------------------------------------
revno: 237
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: experimental
timestamp: Sat 2009-01-03 10:35:28 +0800
message:
  Changed 25% signal icon to red and 50% signal icon to orange
------------------------------------------------------------
revno: 236 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Fri 2009-01-02 19:57:21 -0500
message:
  Merge in rworkman-experimental
------------------------------------------------------------
revno: 235
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Fri 2009-01-02 19:52:28 -0500
message:
  Move logic that saves settings for network entries out of gui.py and into netentry.py.
------------------------------------------------------------
revno: 234
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2008-12-30 23:20:00 -0500
message:
  Add a domain entry for dns settings.
  Display an error if global dns is enabled for a network, but global dns entries aren't entered in the general preferences window.
------------------------------------------------------------
revno: 233 [merge]
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: experimental
timestamp: Tue 2008-12-30 18:01:27 -0600
message:
  Merged with wpathenhancements
------------------------------------------------------------
revno: 232
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2008-12-28 16:19:18 -0500
message:
  Fix bug where the daemon could crash if an encryption key was entered for a network without encryption on.
  Some minor code formatting changes
  Replace "new" with "experimental" in description for ioctl backend.
------------------------------------------------------------
revno: 231
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2008-12-27 18:31:50 -0500
message:
  Fix prefs label
------------------------------------------------------------
revno: 230
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2008-12-27 18:23:15 -0500
message:
  Make backend combobox tooltip display the active backend's description.
  Reverse the order of the OK/Cancel button in the Ad-Hoc connection dialog.
  Use a new set of icons.
  Extend the update invervals for all backends by 1 second.
  Try to use en_US.utf8 instead of C as the LANG in misc.Run if it is available.
  Add ability to force a network state update.  (Currently not used).
------------------------------------------------------------
revno: 229
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: experimental
timestamp: Wed 2008-12-24 00:24:26 -0600
message:
  Removed stringToBoolean
------------------------------------------------------------
revno: 228
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: experimental
timestamp: Tue 2008-12-23 23:34:22 -0600
message:
  Added unit test for misc.py
------------------------------------------------------------
revno: 227
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2008-12-23 21:10:17 -0500
message:
  Tweak misc.to_unicode() so that it is more likely to encode to utf-8 correctly.
------------------------------------------------------------
revno: 226
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2008-12-23 18:23:38 -0500
message:
  Fix "_" getting stripped from interface names.
------------------------------------------------------------
revno: 225
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: experimental
timestamp: Tue 2008-12-23 16:55:15 -0600
message:
  Added the wpa-psk template and change the wpa one to wpa passphrase
------------------------------------------------------------
revno: 224
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: experimental
timestamp: Tue 2008-12-23 11:39:55 -0600
message:
  Updated Preferences dialog and added test cases for wnettools
------------------------------------------------------------
revno: 223
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: experimental
timestamp: Mon 2008-12-22 23:30:52 -0600
message:
  Updated Preferences dialog more and commented out translations in prefs.py
------------------------------------------------------------
revno: 222
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: experimental
timestamp: Mon 2008-12-22 23:08:12 -0600
message:
  Updated Preferences dialog to conform to the GNOME HIG better
------------------------------------------------------------
revno: 221
committer: Adam Blackburn <compwiz18@gmail.com>
branch nick: experimental
timestamp: Mon 2008-12-22 21:25:51 -0600
message:
  Fixed hidden network icon
------------------------------------------------------------
revno: 220
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2008-12-22 21:28:31 -0500
message:
  Fix problem where combobox entries would get screwed up when the preferences window was opened more than once.
------------------------------------------------------------
revno: 219
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2008-12-22 00:20:42 -0500
message:
  Fix some issues with wired networks caused by refactoring.
  Add missing return statement.
------------------------------------------------------------
revno: 218
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2008-12-22 00:05:19 -0500
message:
  More work on bubbling the reason for connection failures up to the UI.
  Refactor Wireless/Wired classes in networking module and daemon so that they don't need to reference each other.  Wired objects don't know about Wireless objects and vice versa.  This also means connecting to a wired/wireless network will only clear the connection on whichever network type you're connecting to.
------------------------------------------------------------
revno: 217
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2008-12-21 00:19:18 -0500
message:
  Checkpoint for work on getting reasons for connection failure back up to the UI.
------------------------------------------------------------
revno: 216
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2008-12-16 01:30:46 -0500
message:
  Fix non-blocking error dialog.
------------------------------------------------------------
revno: 215
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2008-12-16 01:19:26 -0500
message:
  Make gui.error() calls optionally not block.
  Make the lost dbus error message translatable.
------------------------------------------------------------
revno: 214
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2008-12-16 00:48:47 -0500
message:
  Only show valid wpa_supplicant drivers in the GUI.
  Don't needlessly created PreferenceDialog objects.
  Use dbus signals to alert the UI that the daemon is back up, instead of polling.
------------------------------------------------------------
revno: 213
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Mon 2008-12-15 00:31:35 -0500
message:
  Fix some gtk warnings that would pop up when the GUI was opened.
  Fix broken Network menu entries.
------------------------------------------------------------
revno: 212
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2008-12-14 22:19:35 -0500
message:
  More work on making the client handle a daemon restart
------------------------------------------------------------
revno: 211
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sun 2008-12-14 18:31:24 -0500
message:
  Make client survive the daemon going down.
  Port a few fixes from trunk.
------------------------------------------------------------
revno: 210
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2008-12-13 19:39:15 -0500
message:
  Make sure autoconnect.py never blocks
  Tweak configmanager to not write a default value unless one is specified in the get call.
------------------------------------------------------------
revno: 209
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2008-12-13 17:32:54 -0500
message:
  Use RawConfigParser instead of ConfigParser
------------------------------------------------------------
revno: 208
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2008-12-13 17:07:31 -0500
message:
  Pass lists instead of strings in GeneratePSK and Authenticate methods.
------------------------------------------------------------
revno: 207
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2008-12-13 13:28:05 -0500
message:
  Fix saving scripts not working correctly.
------------------------------------------------------------
revno: 206 [merge]
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2008-12-13 01:49:15 -0500
message:
  merging
------------------------------------------------------------
revno: 205
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Sat 2008-12-13 01:37:57 -0500
message:
  Fix some suspend/resume issues
------------------------------------------------------------
revno: 204
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Thu 2008-12-11 18:42:11 -0500
message:
  Fix dbus permissions problem.
  Fix missing dbus import.
------------------------------------------------------------
revno: 203
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Thu 2008-12-11 00:56:12 -0500
message:
  Apply patch from rworkman
  Update suspend/resume script
------------------------------------------------------------
revno: 202
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Thu 2008-12-11 00:37:07 -0500
message:
  More build fixes
------------------------------------------------------------
revno: 201
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Thu 2008-12-11 00:33:10 -0500
message:
  Add missing man file
------------------------------------------------------------
revno: 200
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Thu 2008-12-11 00:29:00 -0500
message:
  Fix running scripts
  Fix broken symlink
  Update slackware init script
  Add new build options to wpath.py
------------------------------------------------------------
revno: 199
committer: Dan O'Reilly <oreilldf@gmail.com>
branch nick: experimental
timestamp: Tue 2008-12-09 22:53:30 -0500
message:
  Make sure suspend script never fails
------------------------------------------------------------
revno: 198
committer: Dan O'Reilly <dan@ubuntop>
branch nick: experimental
timestamp: Sun 2008-12-07 21:15:29 -0500
message:
  merging in a bunch of trunk changes
------------------------------------------------------------
revno: 197
committer: imdano
branch nick: experimental
timestamp: Sat 2008-12-06 19:11:43 +0000
message:
  experimental branch:
  - Tray icon fixes from trunk
  - Handle possible failure in wpactrl
  - Format some docstrings
------------------------------------------------------------
revno: 196
committer: imdano
branch nick: experimental
timestamp: Sun 2008-11-02 14:26:42 +0000
message:
  experimental branch:
  - Enhance dbus manager to handle settings up mainloops, etc.
  - Early work on getting wicd-client to recover from a daemon crash.
  - Simply how the the scripts editor gets launched.
  - Remove unneeded cleanup code from netentry.py
  - More ralink legacy work.
  - Run scans in a thread, this should make the UI more responsive while a scan is going on.  Rework the UI code to never expect a scan to be blocking.
  - Don't require the daemon to be restarted when we switch backends, just try to prevent any calls to the backend until the switch is made.
------------------------------------------------------------
revno: 195
committer: imdano
branch nick: experimental
timestamp: Sat 2008-10-18 17:37:42 +0000
message:
  experimental branch:
  - Port a bunch of fixes from the trunk
  - Use an actual Gtk.Menu in the toolbar for the "Network" widget
------------------------------------------------------------
revno: 194
committer: imdano
branch nick: experimental
timestamp: Sat 2008-10-11 12:36:49 +0000
message:
  experimental branch:
  - Actually destroy the network entry objects that are supposed to get destroied
  - Improve GUI behavior when initially opened.
  - Use the python -O flag when launching the daemon/GUI.
  - Favor gksudo over gksu.
  - Remove broken interface enable/disable options.
------------------------------------------------------------
revno: 193
committer: imdano
branch nick: experimental
timestamp: Thu 2008-10-09 18:45:01 +0000
message:
  experimental:
  - Add 3rd party python libraries used by ioctl backend to tree and to setup.py
  - Port several bug fixes from the trunk (removing reliance on shell for running external commands, unicode fixes, gui crash fixes, authentication validation improvements, several others)
  - Fix some crashes in ioctl backend.
  - Change daemon/GUI launch scripts to use the -O flag.
------------------------------------------------------------
revno: 192
committer: imdano
branch nick: experimental
timestamp: Sat 2008-09-27 21:36:04 +0000
message:
  branches/experimental:
  - Fix scripts dialog not appearing.
------------------------------------------------------------
revno: 191
committer: imdano
branch nick: experimental
timestamp: Thu 2008-09-25 20:17:35 +0000
message:
  branches/experimental:
  - A bunch of documentation additions/updates.
  - Minor refactoring.
  - Fix catching wrong exception in netentry.py
------------------------------------------------------------
revno: 190
committer: imdano
branch nick: experimental
timestamp: Sun 2008-09-21 16:38:15 +0000
message:
  branches/experimental:
  - Fix some wired method issues in the daemon.
  - Make sure stringToBoolean always returns a boolean.
------------------------------------------------------------
revno: 189
committer: imdano
branch nick: experimental
timestamp: Sun 2008-09-21 13:26:46 +0000
message:
  trunk & experimental:
  - Make sure all entries in the connection status info list are strings.
------------------------------------------------------------
revno: 188
committer: imdano
branch nick: experimental
timestamp: Sat 2008-09-20 19:13:34 +0000
message:
  trunk, experimental:
  - Fix crash if default locale isn't supported.
------------------------------------------------------------
revno: 187
committer: imdano
branch nick: experimental
timestamp: Sat 2008-09-20 10:39:23 +0000
message:
  trunk/experimental:
  - Fix use of subprocess.call method
------------------------------------------------------------
revno: 186
committer: imdano
branch nick: experimental
timestamp: Sat 2008-09-20 10:22:06 +0000
message:
  branches/experimental
  - Add support for entering search domain into static DNS settings.
  - Fix some errors in how static setting texboxes were getting set.
  - Fixed a bunch of errors/warnings found by pylint.
------------------------------------------------------------
revno: 185
committer: imdano
branch nick: experimental
timestamp: Sat 2008-09-20 08:02:06 +0000
message:
  branches/experimental:
  - Fix crash in configmanager.
------------------------------------------------------------
revno: 184
committer: imdano
branch nick: experimental
timestamp: Fri 2008-09-19 16:28:26 +0000
message:
  experimental:
  - Fix potential deadlock in connection thread
  - Make wireless interface blank string if set to None in config.
------------------------------------------------------------
revno: 183
committer: imdano
branch nick: experimental
timestamp: Thu 2008-09-18 21:18:40 +0000
message:
  experimental:
  - Use the full path to wpa_passphrase.
  - Fix some crashing bugs in the daemon and configscript.py
  - Port a few changes/fixes from trunk.
  - Some minor refactoring.
------------------------------------------------------------
revno: 182
committer: imdano
branch nick: experimental
timestamp: Thu 2008-09-18 16:07:49 +0000
message:
  trunk/experimental:
  - Fix EAP-TLS template.  Thanks to Andrew Psaltis for the fix.
------------------------------------------------------------
revno: 181
committer: imdano
branch nick: experimental
timestamp: Sat 2008-09-13 22:52:01 +0000
message:
  experimental:
  - Add UPDATE_INTERVAL as a required attribute for backends, and used by monitor.py
  - Update Copyright stuff in a few files
  - Remove/update some scripts and configuration files.
------------------------------------------------------------
revno: 180
committer: imdano
branch nick: experimental
timestamp: Sat 2008-09-13 21:39:20 +0000
message:
  experimental:
  - Merge missing dbusmanager changes from pluggablebackends
  - Merge a change from trunk for --no-autoconnect mode
  - Make monitor timeout_add_seconds time an integer
------------------------------------------------------------
revno: 179
committer: imdano
branch nick: experimental
timestamp: Sat 2008-09-13 11:28:36 +0000
message:
  experimental:
  - Use gobject.timeout_add_seconds instead of gobject.timeout_add when possible
  - Merge some fixes from pluggablebackends
  - Replace os.system usage with subprocess.call.
------------------------------------------------------------
revno: 178
committer: imdano
branch nick: experimental
timestamp: Sat 2008-09-06 20:53:21 +0000
message:
  experimental:
  - fix some autoconnect issues related to the splitting up of the daemon
------------------------------------------------------------
revno: 177
committer: compwiz18
branch nick: experimental
timestamp: Sat 2008-09-06 20:35:53 +0000
message:
  Experimental:
   * Fixed typo in setup.py
------------------------------------------------------------
revno: 176
committer: compwiz18
branch nick: experimental
timestamp: Sat 2008-09-06 20:30:23 +0000
message:
  Experimental:
   * Added wicd.configmanager to setup.py
------------------------------------------------------------
revno: 175
committer: imdano
branch nick: experimental
timestamp: Sat 2008-09-06 19:54:20 +0000
message:
  experimental:
  - Add backends entry to wpath.py
------------------------------------------------------------
revno: 174
committer: imdano
branch nick: experimental
timestamp: Sat 2008-09-06 19:53:25 +0000
message:
  experimental:
  - Fix some syntax/import problems created during the merge
------------------------------------------------------------
revno: 173
committer: imdano
branch nick: experimental
timestamp: Sat 2008-09-06 17:29:25 +0000
message:
  experimental:
  - update glade file
------------------------------------------------------------
revno: 172
committer: imdano
branch nick: experimental
timestamp: Sat 2008-09-06 16:57:36 +0000
message:
  experimental:
  - update setup.py
------------------------------------------------------------
revno: 171
committer: imdano
branch nick: experimental
timestamp: Sat 2008-09-06 16:54:53 +0000
message:
  experimental:
  - Merge in changes from pluggablebackends.
------------------------------------------------------------
revno: 170
committer: imdano
branch nick: experimental
timestamp: Fri 2008-08-29 14:49:37 +0000
message:
  All braches/trunk:
  - Force locale settings to C before running commands with piped output.
------------------------------------------------------------
revno: 169
committer: imdano
branch nick: experimental
timestamp: Fri 2008-08-29 12:22:34 +0000
message:
  All branches/trunk:
  - Specify the device to use in SetDefaultRoute
------------------------------------------------------------
revno: 168
committer: imdano
branch nick: experimental
timestamp: Thu 2008-08-28 18:58:34 +0000
message:
  trunk/all branches:
  make wicd launch scripts use "exec" so that the launch script exits after starting up the daemon/tray icon.
------------------------------------------------------------
revno: 167
committer: imdano
branch nick: experimental
timestamp: Sun 2008-08-24 08:36:07 +0000
message:
  experimental/pluggablebackends:
  - Remove --scan-interval option from daemon since its no longer needed.
------------------------------------------------------------
revno: 166
committer: imdano
branch nick: experimental
timestamp: Sun 2008-08-24 08:15:24 +0000
message:
  experimental:
  - Some minor cleanup/formatting fixes
  - Add a missing DetectWiredInterfaces() method to networking.py
------------------------------------------------------------
revno: 165
committer: compwiz18
branch nick: experimental
timestamp: Sat 2008-08-23 20:14:43 +0000
message:
  Experimental: Apply changes involving setup.py
   * Added setup.py from trunk
   * Updated various information files (AUTHORS, README, etc)
   * Update the Wicd icon
   * Move stuff around to match trunk's layout
------------------------------------------------------------
revno: 164
committer: imdano
branch nick: experimental
timestamp: Sat 2008-08-23 14:50:50 +0000
message:
  experimental:
  - Merge in changes (prefs.py, dbusmanager.py, clean up in daemon.py) from pluggablebackends.
  
  pluggablebackends:
  - Some minor cleanup.
------------------------------------------------------------
revno: 163
committer: imdano
branch nick: experimental
timestamp: Wed 2008-08-20 14:09:47 +0000
message:
  trunk/experiementa/pluggablebackends:
  - Fix crash due to _sanitize_string getting None passed in.
------------------------------------------------------------
revno: 162
committer: imdano
branch nick: experimental
timestamp: Tue 2008-08-19 19:06:26 +0000
message:
  Experimental:
  - Add new logging system which rotates the log file once it reaches a set size.
  - Merge in fixes and new features from pluggablebackends and trunk
  - Right click network menu in tray icon now bolds the active network.
------------------------------------------------------------
revno: 161
committer: imdano
branch nick: experimental
timestamp: Mon 2008-07-21 13:46:38 +0000
message:
  Testing:
  - Fix typo in daemon
------------------------------------------------------------
revno: 160
committer: imdano
branch nick: experimental
timestamp: Sun 2008-07-20 16:34:45 +0000
message:
  Experimental:
  - Port a ton of changes from the testing branch over.
------------------------------------------------------------
revno: 159
committer: imdano
branch nick: experimental
timestamp: Sun 2008-06-29 20:38:30 +0000
message:
  Testing:
  - Fix bug in configscript.py that kept it from loading correctly.
  - More manpage fixes/updates from rworkman.
------------------------------------------------------------
revno: 158
committer: imdano
branch nick: experimental
timestamp: Tue 2008-06-24 14:14:18 +0000
message:
  Experimental/Testing:
  - Fix changes made to encryption settings not being reset if "cancel" is selected in the dialog box.
  
  Experimental:
  - Fix bug where Static DNS checkbox would be disabled no matter what if Static IP was disabled.
------------------------------------------------------------
revno: 157
committer: imdano
branch nick: experimental
timestamp: Mon 2008-06-23 22:21:47 +0000
message:
  Experimental/Testing:
  - Fix encryption combobox size sometimes getting distorted when switching between encryption types.
------------------------------------------------------------
revno: 156
committer: imdano
branch nick: experimental
timestamp: Mon 2008-06-23 08:08:53 +0000
message:
  Experimental/Testing:
  - Fix dhcp not getting released if the disconnect button wasn't pressed explicitly, but a new connection is trying to be made.
------------------------------------------------------------
revno: 155
committer: imdano
branch nick: experimental
timestamp: Fri 2008-06-20 08:13:56 +0000
message:
  Experimental/Testing:
  - Fix bug keeping wired networks from connecting
  - Wicd will now try to release dhcp when disconnecting from a network.
------------------------------------------------------------
revno: 154
committer: imdano
branch nick: experimental
timestamp: Thu 2008-06-19 22:09:39 +0000
message:
  Experimental/Testing:
  - Improved behavior in the networking backend.  The wired/wireless wnettools instances now refer to each other, and get passed on to connection threads as well, which simplifies passing settings for external program usage.  Also removed some unecessary creating of duplicate wnettools instances which ended up causing some issues.
  - Fixed bug where dhclient was being used as the dhcp client even if it was selected in the options menu.
  - Fixed a typo in the connection commands used for ralink cards.
  - Fixed the wrong cli option for releasing a dhcpcd lease.
  - Monitor.py no longer calls for an auto-rescan if the daemon is currently connecting to a network.
  - Cleaned up some comments and simplified the logic in a few methods/functions.
------------------------------------------------------------
revno: 153
committer: imdano
branch nick: experimental
timestamp: Thu 2008-06-12 15:08:50 +0000
message:
  Experimental/Testing:
  - Fixed typo in ttls template (Thanks to Nido Media for catching it)
------------------------------------------------------------
revno: 152
committer: imdano
branch nick: experimental
timestamp: Wed 2008-06-11 20:13:32 +0000
message:
  Experimental/Testing:
  - Added support for using kdesu instead of gksu where it makes sense.
  - Improved code used to sanitize network keys used with wpa_passphrase.
  - Removed some unused functions and imports.
  - Cleaned up some comments/docstrings.
  
  Experimental:
  - Split gui.py into gui.py and netentry.py.  netentry is imported by gui.py to make use of NetworkEntry and its subclasses.
  - Reorganzed how dbus and the language dict are used in wicd.py and gui.py.
------------------------------------------------------------
revno: 151
committer: imdano
branch nick: experimental
timestamp: Sat 2008-05-24 11:36:14 +0000
message:
  Experimental/Testing:
  - Fix bug where wired advanced settings wouldn't be saved properly
  
  Experimental:
  - Add support for determining which graphical sudo program (gksu/kdesu) should be used.
------------------------------------------------------------
revno: 150
committer: imdano
branch nick: experimental
timestamp: Fri 2008-05-09 21:07:41 +0000
message:
  Testing/Experimental:
  - Fixed an indentation problem
  - Use misc.RenameProcess for process renaming in wicd.py
  
  Experimental:
  - Make the encryption template file parsing used for the GUI a little more robust.
------------------------------------------------------------
revno: 149
committer: imdano
branch nick: experimental
timestamp: Wed 2008-05-07 21:59:44 +0000
message:
  Testing/Experimental:
  - Move process renaming code to the misc module, and fix process ranming for 64 bit systems.  (Thanks to Helber Maciel)
  - Move the error gtk method to the gui module. (Thanks to Helber Maciel)
  - Removed a debugging print statement from monitor.py
  - Fixed up a few docstrings/comments.
  
  Testing:
  - Fix bug where Connect button would become inactive after disconnecting from a network.
------------------------------------------------------------
revno: 148
committer: imdano
branch nick: experimental
timestamp: Sun 2008-05-04 18:10:47 +0000
message:
  Testing/Experimental:
  - Emit a dbus signal when an autoscan is called, so that the GUI can update if needed.
  
  Experimental:
  - Merged a few changes from the testing branch.
------------------------------------------------------------
revno: 147
committer: imdano
branch nick: experimental
timestamp: Sat 2008-05-03 09:30:09 +0000
message:
  Testing/Experimental:
  - Fixed bug where monitor would crash on resume because dbus wasn't ready yet.
  - Monitor now calls a rescan every 2 minutes.
  
  Experimental:
  - Added a network list submenu to the right-click menu of the tray icon.
------------------------------------------------------------
revno: 146
committer: imdano
branch nick: experimental
timestamp: Tue 2008-04-29 14:29:44 +0000
message:
  Testing/Experimental:
  - Replaced uses of /proc/net/wireless with /sys/class/net/<iface>.
------------------------------------------------------------
revno: 145
committer: imdano
branch nick: experimental
timestamp: Mon 2008-04-28 18:22:37 +0000
message:
  Testing/Experimental:
  - Added check to make sure wpa_cli is installed, and make sure not to try to validate authentication if it isn't.
  Experimental:
  - Increased length of sleep time before checking for an active link when the wired interface has to be put up explicitly.
------------------------------------------------------------
revno: 144
committer: imdano
branch nick: experimental
timestamp: Wed 2008-04-23 18:10:23 +0000
message:
  Fixed problems with passphrases using non-alphanumeric characters.
------------------------------------------------------------
revno: 143
committer: imdano
branch nick: experimental
timestamp: Sat 2008-04-19 09:09:15 +0000
message:
  Fixed bug where building with setup.py wouldn't add rcX symlinks to init.d, so wicd wouldn't start at boot.
------------------------------------------------------------
revno: 142
committer: imdano
branch nick: experimental
timestamp: Sat 2008-04-19 08:48:09 +0000
message:
  Fixed bug where special characters would break expander label formatting.
------------------------------------------------------------
revno: 141
committer: imdano
branch nick: experimental
timestamp: Sat 2008-04-19 08:00:44 +0000
message:
  Fixed problems with wpa_supplicant driver not being passed to wnettools correctly in networking.py.
  Fixed bug where connect threads could crash if debug was on and dhcp failed.
------------------------------------------------------------
revno: 140
committer: imdano
branch nick: experimental
timestamp: Fri 2008-04-11 10:29:10 +0000
message:
  Fixed bug where advanced settings dialog wouldn't appear for wired networks.
  Added MAC address to the top level info line in a wireless network entry.
  Fixed some setup.py problems.
------------------------------------------------------------
revno: 139
committer: imdano
branch nick: experimental
timestamp: Wed 2008-04-02 10:52:41 +0000
message:
  Fixed some setup.py problems
  Added a bunch of docstrings
  Fixed a crash bug when the daemon is called with the -s option caused by wicd.py calling SetForceDisconnect(False) when it launches.
------------------------------------------------------------
revno: 138
committer: imdano
branch nick: experimental
timestamp: Mon 2008-03-31 21:37:21 +0000
message:
  Fixed gui sometimes not updating buttons after clicking the disconnect button for the active network.
  Fixed gui not behaving properly after cancelling a connection.
------------------------------------------------------------
revno: 137
committer: imdano
branch nick: experimental
timestamp: Mon 2008-03-31 15:23:59 +0000
message:
  Lengthened the sleep time between putting a wired interface up and checking to see if the link is active.
  A few small optimizations/code cleanup.
------------------------------------------------------------
revno: 136
committer: imdano
branch nick: experimental
timestamp: Mon 2008-03-31 14:21:43 +0000
message:
  Added support for monitoring connection status without the need for iwconfig, ifconfig, and ethtool/miitool.
  Added a "Disconnect" button to each network entry, which will be visible instead of the "Connect" button for the active network.
  Fixed a bug where cancelling a connection while validating authentication would leave the GUI in the connecting state forever.
------------------------------------------------------------
revno: 135
committer: imdano
branch nick: experimental
timestamp: Sun 2008-03-30 12:14:11 +0000
message:
  Added missing icon images
  Updated dbus config file to work under more distros
  Added support for determing wireless interface by parsing /proc/net/wireless (removing need for iwconfig call)
  A few minor formatting improvements.
------------------------------------------------------------
revno: 134
committer: imdano
branch nick: experimental
timestamp: Mon 2008-03-24 20:37:46 +0000
message:
  Added support for resizing the preferences window to any size.  Also added support for remembing the size of the preferences window.
------------------------------------------------------------
revno: 133
committer: imdano
branch nick: experimental
timestamp: Mon 2008-03-24 00:03:35 +0000
message:
  Added distro-specific init scripts based on those used by NM (these are very experimental and likely broken in many cases).
  Updated setup.py to pick which initscript to install based on the distro detected.
  Updated MANIFEST.in to make sure launchdaemon.sh is included in the sdist build.
  Fixed a bunch of crash bugs in tool detection system when tools are detected.
  Made tool detection work correctly when "which" returns output if no match is found (as opposed to no output).  Eventually we might want to hardcode possible paths instead of using which at all...
  Fixed some message formatting in the daemon.
  Added some docstrings.
  Added a pidfile system for increased initscript compatibility (sort of, it's somewhat incomplete).
------------------------------------------------------------
revno: 132
committer: imdano
branch nick: experimental
timestamp: Fri 2008-03-21 17:07:47 +0000
message:
  Added support in the preferences window for specifying which dhcp client, link detection tool, and route flushing tool to use.  It can also be left up to wicd to decide automatically.
  Made a few logic optimizations.
------------------------------------------------------------
revno: 131
committer: compwiz18
branch nick: experimental
timestamp: Fri 2008-03-21 03:38:57 +0000
message:
  Couple of fixes, started integrating a feature that will allow Wicd to smartly detect wired networks, by using detected wireless networks and connected USB devices
------------------------------------------------------------
revno: 130
committer: imdano
branch nick: experimental
timestamp: Thu 2008-03-20 11:16:49 +0000
message:
  Scripts no longer fork into the background by default.
------------------------------------------------------------
revno: 129
committer: imdano
branch nick: experimental
timestamp: Tue 2008-03-18 22:42:55 +0000
message:
  Ported the animated tray icon code to the experimental branch.
  Added a command line option to run the tray with the animations disabled.
------------------------------------------------------------
revno: 128
committer: imdano
branch nick: experimental
timestamp: Tue 2008-03-18 10:21:32 +0000
message:
  Fixed bug where wpa_supplicant driver wasn't being set properly in the preferences window.
------------------------------------------------------------
revno: 127
committer: imdano
branch nick: experimental
timestamp: Tue 2008-03-18 09:12:05 +0000
message:
  Added checks to auto-reconnection code to keep it from constantly trying to reconnect when it isn't working.
  Added a ShouldAutoReconnect method to the daemon, to simply the call needed in monitor.py's auto_reconnect method.
------------------------------------------------------------
revno: 126
committer: imdano
branch nick: experimental
timestamp: Mon 2008-03-17 07:50:51 +0000
message:
  Improved automatic reconnection behavior.
  Improved debug mode behavior.
  Improved the way networking.py interfaces passes attributes on to wnettools.py interfaces.
  Fixed crash in __printReturn when a parameter to return wasn't of type 'str'.
------------------------------------------------------------
revno: 125
committer: imdano
branch nick: experimental
timestamp: Sat 2008-03-15 00:40:27 +0000
message:
  Forgot the translations folder updates from two commits ago. (P.S. Adam make sure that the updates look right as well.)
------------------------------------------------------------
revno: 124
committer: imdano
branch nick: experimental
timestamp: Sat 2008-03-15 00:26:24 +0000
message:
  Forgot to add the "other" folder in the last commit.
------------------------------------------------------------
revno: 123
committer: imdano
branch nick: experimental
timestamp: Sat 2008-03-15 00:25:59 +0000
message:
  Added README and INSTALL files.
  Added a setup.py script.
  Added the new init and suspend scripts to a folder called other, which also holds all files which don't currently go in the /opt/wicd folders.  These are used by the setup.py script and put into their respective directories.
------------------------------------------------------------
revno: 122
committer: imdano
branch nick: experimental
timestamp: Fri 2008-03-14 19:16:18 +0000
message:
  Fixed asynchronous Autoconnect calls so that they actually work properly
------------------------------------------------------------
revno: 121
committer: imdano
branch nick: experimental
timestamp: Fri 2008-03-14 10:18:28 +0000
message:
  Removed unneeded call to LogWriter() in wicd.py
------------------------------------------------------------
revno: 120
committer: imdano
branch nick: experimental
timestamp: Thu 2008-03-13 14:10:49 +0000
message:
  Made calls to Autoconnect outside the daemon asynchronous.
  Removed some unnecessary print statements.
  Added checks to the daemon and configscript.py to make sure the user opening it is root.
  Fixed formatting problems in class definitions in wicd.py
------------------------------------------------------------
revno: 119
committer: imdano
branch nick: experimental
timestamp: Thu 2008-03-13 10:16:03 +0000
message:
  Improved GUI opening performance so there is less delay between clicking the icon and the gui actually appearing.
  Made network entry list inactive while refreshing networks.
  Made debugging output less spammy and more helpful (still incomplete).
------------------------------------------------------------
revno: 118
committer: imdano
branch nick: experimental
timestamp: Tue 2008-03-11 15:15:55 +0000
message:
  Fixed a malformed ''.join() call in daemon.py
  Replaced a couple of concatenations with ''.join() calls.
------------------------------------------------------------
revno: 117
committer: imdano
branch nick: experimental
timestamp: Mon 2008-03-10 20:55:46 +0000
message:
  Added support for using one set of global settings for all networks with a given essid.
  Fixed a few wired autoconnect issues.
------------------------------------------------------------
revno: 116
committer: imdano
branch nick: experimental
timestamp: Sun 2008-03-09 22:09:22 +0000
message:
  Refactored networking.py to be more modular.
  Added docstrings to wnettools.py
  Fixed wired autoconnect bug due to missing parenthesis on a method call.
  Moved connection monitoring code out of daemon.py and into monitor.py, which is run as a separate, child process of daemon.py, to reduce delays in dbus reponse time while connection status and autoreconnect code is running.
  Added full support for running the gui without the tray icon using the --no-tray option.
  Some minor changes to code to be more readable/efficient/pythonic.
------------------------------------------------------------
revno: 115
committer: imdano
branch nick: experimental
timestamp: Wed 2008-03-05 23:29:48 +0000
message:
  Increased time allowed for wpa_supplicant to complete authentication.
  Reduced external calls (when possible) in update_status_bar.
  pulse_progress_bar is now only run when connecting to a network.
  Only check encryption settings on connect, instead of all of them, which shouldn't be necessary.
------------------------------------------------------------
revno: 114
committer: imdano
branch nick: experimental
timestamp: Wed 2008-03-05 20:43:32 +0000
message:
  Fix formatting of wireless network entry information.
------------------------------------------------------------
revno: 113
committer: imdano
branch nick: experimental
timestamp: Wed 2008-03-05 15:30:22 +0000
message:
  Fixed a few more bugs caused by misnamed variables
------------------------------------------------------------
revno: 112
committer: imdano
branch nick: experimental
timestamp: Tue 2008-03-04 20:39:53 +0000
message:
  Made a bunch of small logic improvements.
  Fixed some remaining bugs from the gui.py refactoring.
------------------------------------------------------------
revno: 111
committer: imdano
branch nick: experimental
timestamp: Tue 2008-03-04 14:06:04 +0000
message:
  Added support for putting interfaces up/down through the gui.
------------------------------------------------------------
revno: 110
committer: imdano
branch nick: experimental
timestamp: Tue 2008-03-04 11:55:34 +0000
message:
  Renamed a bunch of variables in gui.py to comply to python conventions.
  Fixed a few small bugs due to misnamed variables in gui.py and networking.py
------------------------------------------------------------
revno: 109
committer: imdano
branch nick: experimental
timestamp: Mon 2008-03-03 22:42:29 +0000
message:
  Refactored the NetworkEntry/PrettyNetworkEntry classes in order to fix a memory leak.  PrettyNetwork entry classes are now merged with NetworkEntry classes.  There is now a separate AdvancedSettingsDialog to handle the advanced settings for each network entry.
  Fixed last-used wired autoconnect support, which had gotten removed.
  Removed a debugging string from networking.py
------------------------------------------------------------
revno: 108
committer: compwiz18
branch nick: experimental
timestamp: Mon 2008-03-03 06:08:45 +0000
message:
  Fixed a bug that wouldn't let wireless interfaces scan
------------------------------------------------------------
revno: 107
committer: imdano
branch nick: experimental
timestamp: Sat 2008-03-01 19:45:45 +0000
message:
  Autoconnect method will now fallback to wireless if a wired attempt fails for any reason.
------------------------------------------------------------
revno: 106
committer: imdano
branch nick: experimental
timestamp: Sat 2008-03-01 00:59:52 +0000
message:
  Improved the authentication validation code.  Instead of sleeping for an abitrary amount of time, then checking if authentication succeeded, it now repeatedly checks for a longer set amount of time.  This way it is less likely to fail because it didn't wait long enough, but will usually finish faster.
------------------------------------------------------------
revno: 105
committer: imdano
branch nick: experimental
timestamp: Fri 2008-02-29 22:14:32 +0000
message:
  Altered autoconnection code to fall back to wireless if wired fails because there is no default profile set.
------------------------------------------------------------
revno: 104
committer: imdano
branch nick: experimental
timestamp: Fri 2008-02-29 15:20:51 +0000
message:
  Added wep-hex, wep-passphrase, eap-tls, wep-shared encryption templates
  Removed wep template (its now called wep-hex).
------------------------------------------------------------
revno: 103
committer: imdano
branch nick: experimental
timestamp: Fri 2008-02-29 14:16:21 +0000
message:
  Fixed crash bug in script configuration dialog when a network doesn't have script options written in the config file yet.
  Refactored networking.py to not have to create a new wnettools interface every time a method gets called.  Now it reuses the same one and makes changes to the iface name/driver as needed.
  Refactored a few methods in wnettools.py to be organized more logically and reduce external program calls.
  In experimental branch, added a few methods to networking/wnettools that can be used for enabling/disabling interfaces, as well as unloading/loading the driver associated with an interface.
  Added a check for mii-tool/ethtool that gets run when wicd starts, so it can decide which to use to check for a wired connection.
  Added a check for ip, to decide how to flush the routing tables.
  Rewrote some of the DHCP client checking code.
  Added a method (that's currently unused) to release a dhcp lease for each of the supported clients.
------------------------------------------------------------
revno: 102
committer: imdano
branch nick: experimental
timestamp: Thu 2008-02-14 13:46:34 +0000
message:
  Fixed bug where preferences window sometimes wouldn't appear due to a problem with the wpacombobox.
------------------------------------------------------------
revno: 101
committer: imdano
branch nick: experimental
timestamp: Wed 2008-02-13 13:08:15 +0000
message:
  Added support for two more DHCP clients: pump and dhcpcd.
  Added check when DHCP is run to determine what DHCP clients are available.
  Fixed bug where sometimes wicd wouldn't reconnect automatically when a wired connection was lost.
  Cleaned up a couple of comments.
------------------------------------------------------------
revno: 100
committer: imdano
branch nick: experimental
timestamp: Tue 2008-02-12 19:40:18 +0000
message:
  Fixed bug where script changes weren't getting saved.
  Added check to make sure encryption information is entered when it's required.
------------------------------------------------------------
revno: 99
committer: imdano
branch nick: experimental
timestamp: Mon 2008-02-11 14:55:29 +0000
message:
  Fixed a bug that prevented unsetting the "automatically connect to this network" option.
  Some formatting/docstring cleanups.
------------------------------------------------------------
revno: 98
committer: imdano
branch nick: experimental
timestamp: Tue 2008-02-05 13:46:42 +0000
message:
  Fixed bug where network entry settings weren't being saved correctly because of overloading the variable "type", which is a built in python function.
  Cleaned up some formatting in gui.py and daemon.py
  Fixed some bad daemon calls in the setting saving process.
------------------------------------------------------------
revno: 97
committer: imdano
branch nick: experimental
timestamp: Tue 2008-01-29 21:03:19 +0000
message:
  Fixed bad except statement in misc.py.
  Cleaned up formatting in gui.py.
  Made glade template for preferences dialog and rewrote gui.py to use it instead of creating it explictly in the code.
  Fixed a bunch indentation/whitespace problems.
  Cleaned up a ton of formatting in daemon.py
  Fixed a wired autoconnect bug.
  Rewrote part of the connection monitoring code, further minimizing the number of external program calls, as well as number of dbus calls.
  Added StatusInformation methods to daemon.py, to allow external apps to poll for the current connection status without making several dbus calls.
  Fixed bad function call to GetDBMSignalStrength in daemon.py.
------------------------------------------------------------
revno: 96
committer: imdano
branch nick: experimental
timestamp: Sun 2008-01-27 15:36:00 +0000
message:
  Got rid of extra call to ethtool that should only be done if using mii-tool fallback.
------------------------------------------------------------
revno: 95
committer: imdano
branch nick: experimental
timestamp: Sun 2008-01-27 15:32:21 +0000
message:
  Fixed some malformed regular expressions.
------------------------------------------------------------
revno: 94
committer: imdano
branch nick: experimental
timestamp: Fri 2008-01-25 14:12:32 +0000
message:
  Refactored several files (especially gui.py) to be more in line with python conventions and make the code easier to understand.
  Added a bunch of docstrings.
  Fixed an invalid function call in wnettools.py.
------------------------------------------------------------
revno: 93
committer: imdano
branch nick: experimental
timestamp: Fri 2008-01-25 14:11:59 +0000
message:
  Refactored several files (especially gui.py) to be more in line with python conventions and make the code easier to understand.
  Added a bunch of docstrings.
  Fixed an invalid function call in wnettools.py.
------------------------------------------------------------
revno: 92
committer: imdano
branch nick: experimental
timestamp: Fri 2008-01-25 09:23:50 +0000
message:
  Made IsValidIP method check that each ip octet is an integer < 255.
  Added checks to the network entry settings menu to make sure that all the settings are valid.
  Fixed global dns being set to True whenever static IP address were enabled for wireless networks.
------------------------------------------------------------
revno: 91
committer: imdano
branch nick: experimental
timestamp: Thu 2008-01-24 14:28:20 +0000
message:
  Forgot a file in the last commit.
------------------------------------------------------------
revno: 90
committer: imdano
branch nick: experimental
timestamp: Thu 2008-01-24 14:25:27 +0000
message:
  Simplified psk escape process.
------------------------------------------------------------
revno: 89
committer: imdano
branch nick: experimental
timestamp: Thu 2008-01-24 10:36:22 +0000
message:
  Committed patch from Sabin Iacob to sanitize a user's psk, to prevent possible parsing errors and security risks.
------------------------------------------------------------
revno: 88
committer: imdano
branch nick: experimental
timestamp: Tue 2008-01-22 16:05:30 +0000
message:
  Refactored a few daemon methods from bring registered under the 'wireless' service to 'daemon'.
  Fixed the wired autoconnect profile chooser, which was badly broken.
  Added a check to GetPluggedIn() that makes sure that the wired interface is up before checking.  If it's not, it tries to put it up.  This is necessary because ethtool doesn't make this check for us, as mii-tool did.
------------------------------------------------------------
revno: 87
committer: imdano
branch nick: experimental
timestamp: Tue 2008-01-22 09:55:42 +0000
message:
  Moved the advanced settings and script buttons into the main network entry expander.
------------------------------------------------------------
revno: 86
committer: imdano
branch nick: experimental
timestamp: Tue 2008-01-22 09:24:23 +0000
message:
  Fixed dns entries not getting cleared from wireless network preferences when they should be
  Added signal strength info to uppermost level of each wireless network entry in the GUI.
------------------------------------------------------------
revno: 85
committer: imdano
branch nick: experimental
timestamp: Sun 2008-01-20 23:09:29 +0000
message:
  - Simplified main configuration loading code.  This *might* break some old conf files, but should be easy to manually fix.
  - Reworked GUI: Moved script button next to connect button, reduced size of both buttons, moved advanced settings from an expander to a dialog and put an advanced settings button next to scripts/connect buttons.
  - When a wireless network has encryption enabled, "Secured" will no longer show up in the info for the network unless the encryption type can't be determined.
  - Added support for detecting kill switch status (thanks to webograph for the inital patch).
  - Reduced the number of calls to iwconfig during connection status updates (it is only called once per update now), which should lower cpu usage.
  - Moved Autoreconnect methods from the wireless dbus service to the daemon dbus service.
  - Added "Validating Authentication" status message during wireless connection process.
  - Added support for disabling monitoring of connection status when computer is suspended, which gets rid of some error messages, eliminates occasional suspension failure, and reduces the odds that wicd will auto connect to a wireless network when a wired network is available. (Right now this feature is disabled, as it requires a script in /etc/acpi/suspend.d/, which can't be included with the current SVN layout.)
------------------------------------------------------------
revno: 84
committer: compwiz18
branch nick: experimental
timestamp: Tue 2008-01-15 02:11:36 +0000
message:
  Updated comments in misc.py
  Updated some GUI elements
------------------------------------------------------------
revno: 83
committer: imdano
branch nick: experimental
timestamp: Wed 2008-01-09 22:57:13 +0000
message:
  Fixed bad language key for "wired network" in wicd.py
------------------------------------------------------------
revno: 82
committer: imdano
branch nick: experimental
timestamp: Tue 2008-01-08 10:24:44 +0000
message:
  Updated wicd.glade to include a missing gtk.Dialog
------------------------------------------------------------
revno: 81
committer: imdano
branch nick: experimental
timestamp: Sun 2008-01-06 21:20:15 +0000
message:
  A default wired profile is now created when wired-settings.conf is initially generated.
------------------------------------------------------------
revno: 80
committer: imdano
branch nick: experimental
timestamp: Sun 2008-01-06 13:55:23 +0000
message:
  Changed misc.Run to use subprocess.Popen instead of os.popen.  Also altered Run to optionally return a pipe to the command run, instead of just the output.
  The output of dhclient is now parsed by wicd and used to determine why the connection failed.
  All the wpa_supplicant conf files will now generate a ctrl_interface, so that they can be accessed by wpa_cli.  wpa_cli now is used by wicd to attempt to determine is wpa_supplicant authentication was successful.  This is still experimental, and might have to be tweaked to work properly.
  If wicd.py is started and the daemon isn't present, it will autolaunch it by calling launchdaemon.sh, instead of asking the user to start the daemon manually.
  Cleaned up some comments, formatting, etc.
  Probably a couple of other little bug fixes I'm forgetting.
------------------------------------------------------------
revno: 79
committer: imdano
branch nick: experimental
timestamp: Fri 2008-01-04 14:08:14 +0000
message:
  Fixed resizing causing the window to center itself.
------------------------------------------------------------
revno: 78
committer: imdano
branch nick: experimental
timestamp: Sat 2007-12-29 11:56:47 +0000
message:
  Scripts now can only be setup with root access and always run as root, instead of trying to run as the current user.
  Possibly fixed problems with scripts not running when they should and/or leaving zombies.
  Slightly reworked the GUI to make the new script system look nicer.
  Removed the ability to set script information through built in daemon functions, it now has to be done by directly editing configuration files (which require root access to read/write).
------------------------------------------------------------
revno: 77
committer: imdano
branch nick: experimental
timestamp: Sat 2007-12-22 22:09:00 +0000
message:
  Make sure daemon alerts tray to change status during connection process.
  Specify which network is being connected to in both the tray tooltip and gui statusbar
  Clean up code in wicd.py.
  Refactor Edgy/DapperTrayIcon class names to something less Ubuntu-specific.
  Fix typo in EggTrayIcon that would keep gui from opening.
------------------------------------------------------------
revno: 76
committer: imdano
branch nick: experimental
timestamp: Wed 2007-12-19 22:35:07 +0000
message:
  Fixed cancelling a connection not working.
  Stopped the gui status bar from updating while the gui is closed, which reduces CPU usage and should hopefully fix problems with hibernation not working while wicd was running.
------------------------------------------------------------
revno: 75
committer: imdano
branch nick: experimental
timestamp: Mon 2007-12-17 15:44:41 +0000
message:
  Fixed a bug that would sometimes cause the tray icon to not display the right connection state on startup.
------------------------------------------------------------
revno: 74
committer: compwiz18
branch nick: experimental
timestamp: Mon 2007-12-17 15:22:04 +0000
message:
  * Fixed a couple more syntax errors
------------------------------------------------------------
revno: 73
committer: compwiz18
branch nick: experimental
timestamp: Mon 2007-12-17 15:20:02 +0000
message:
  * Fixed indentation errors and syntax errors
  * Fixed wicd.py so it starts properly
  * Hid the status bar in gui.py when it is displayed via the tray icon
------------------------------------------------------------
revno: 72
committer: imdano
branch nick: experimental
timestamp: Mon 2007-12-17 15:17:00 +0000
message:
  Fixed some problems with tabs being used instead of 4 spaces.
------------------------------------------------------------
revno: 71
committer: imdano
branch nick: experimental
timestamp: Mon 2007-12-17 11:49:03 +0000
message:
  Fixed a bug (typo?) in daemon.py that would keep it from working correctly.
------------------------------------------------------------
revno: 70
committer: imdano
branch nick: experimental
timestamp: Mon 2007-12-17 11:42:16 +0000
message:
  Lowered minimum GUI height to 400.
  Added support for the GUI to remember when its resized.
------------------------------------------------------------
revno: 69
committer: compwiz18
branch nick: experimental
timestamp: Sun 2007-12-16 19:08:00 +0000
message:
  Applied pach in https://bugs.launchpad.net/wicd/+bug/175104 to fix signal strength issues, thanks Philip
------------------------------------------------------------
revno: 68
committer: imdano
branch nick: experimental
timestamp: Mon 2007-12-10 16:48:37 +0000
message:
  Moved autoreconnect code and connection status updates into the daemon.  Daemon now sends D-Bus signals when status changes, which the tray listens for and updates icon/tooltip when received.
------------------------------------------------------------
revno: 67
committer: imdano
branch nick: experimental
timestamp: Tue 2007-12-04 12:02:14 +0000
message:
  Fix some indentation problems and turned off stdout/stderr redirection in wicd.py since it would break things.
------------------------------------------------------------
revno: 66
committer: imdano
branch nick: experimental
timestamp: Thu 2007-11-22 10:23:33 +0000
message:
  Adding peap-tkip template part 2
------------------------------------------------------------
revno: 65
committer: imdano
branch nick: experimental
timestamp: Tue 2007-11-20 22:20:10 +0000
message:
  Fixed encoding problems that would cause wicd to crash if a network returned an essid with exotic characters.
  Reduced log spam, and altered how logging gets done a little bit.
  Cleaned up some comments, docstrings, etc.
------------------------------------------------------------
revno: 64
committer: imdano
branch nick: experimental
timestamp: Mon 2007-11-19 13:22:14 +0000
message:
  Fixed some problems with the tray icon running under gtk < 2.10.
------------------------------------------------------------
revno: 63
committer: imdano
branch nick: experimental
timestamp: Sun 2007-11-18 14:19:50 +0000
message:
  - Fixed a crash bug caused by dBm signal strength not being found correctly.
  - Fixed a crash caused by an incorrectly named variable in wicd.py.
------------------------------------------------------------
revno: 62
committer: imdano
branch nick: experimental
timestamp: Sun 2007-11-18 01:37:16 +0000
message:
  * Removing files (all tray-related) that are no longer used.
------------------------------------------------------------
revno: 61
committer: imdano
branch nick: experimental
timestamp: Sun 2007-11-18 01:35:35 +0000
message:
  * Completely reworked the gui/tray system.  gui.py and edgy/dapper/tray.py are now all run from the same wicd.py file.
  * Added a connection_lost_counter to prevent the wicd frontend from trying to automatically reconnect too quickly if signal strength is briefly lost.
  * Added some code to hopefully fix some of the dbus-related encoding problems caused by essids with weird characters.  (Might still need work).
  * The tray/gui will now show up in the process manager under the name wicd (along with the wicd icon), instead of just python.
  * Added a GetCurrentInterface() method to the daemon that will eventually be used in the VPN plugin.
  * Fixed a possible crash caused by signal strength not being returned correctly.
  * Split the Wired Profile Chooser from the appGui class, so they are now called separately within wicd.py.  When the profile chooser is called from the daemon, it sets a flag as well as sending a dbus signal, so the chooser will still launch if the wicd frontend isn't running yet.
  * Added some docstrings, comments, etc.  Probably a few other small changes I'm forgetting.
------------------------------------------------------------
revno: 60
committer: compwiz18
branch nick: experimental
timestamp: Tue 2007-10-23 00:45:36 +0000
message:
  Fixed the typo in the LEAP template.
------------------------------------------------------------
revno: 59
committer: compwiz18
branch nick: experimental
timestamp: Fri 2007-10-05 02:29:42 +0000
message:
  applied patch from bug https://bugs.launchpad.net/wicd/+bug/149318
  applied patch from bug https://bugs.launchpad.net/wicd/+bug/149322
  thanks Daniel
------------------------------------------------------------
revno: 58
committer: compwiz18
branch nick: experimental
timestamp: Thu 2007-10-04 03:31:07 +0000
message:
  Added mhenze's patch to add last used wired profile
------------------------------------------------------------
revno: 57
committer: imdano
branch nick: experimental
timestamp: Thu 2007-09-20 13:11:43 +0000
message:
  Fixed more signal display issues
  Added a "Connecting..." dialog to tray icon in experimental branch
  Possibly fixed issue where GUI statusbar would still show up as connected when ethernet cable was unplugged.
------------------------------------------------------------
revno: 56
committer: imdano
branch nick: experimental
timestamp: Wed 2007-09-19 09:56:17 +0000
message:
  Fixed bug in signal strength display for ralink cards
  Altered the way ralink network info gets handled during the connection process
------------------------------------------------------------
revno: 55
committer: compwiz18
branch nick: experimental
timestamp: Tue 2007-09-04 02:43:25 +0000
message:
  fixed indentation problems
------------------------------------------------------------
revno: 54
committer: imdano
branch nick: experimental
timestamp: Fri 2007-08-31 08:19:13 +0000
message:
  Fixed bug where manually opened (not opened with the tray) gui.py would reopen when closed.
------------------------------------------------------------
revno: 53
committer: imdano
branch nick: experimental
timestamp: Wed 2007-08-29 18:49:02 +0000
message:
  Completely reorganized edgy.py
  Changed the way wired profile chooser gets launched (now uses a dbus signal)
  Fixed bug where launching gui.py through the tray sometimes left a zombie (uses a dbus signal)
  Added a bunch of docstrings and changed formatting to follow python conventions
  Added support for displaying signal strength in dBm instead of a percentage
  Added some print statements during the ad-hoc connection process
  Started work on a way to autoconnect to a hidden network (not done or working yet)
------------------------------------------------------------
revno: 52
committer: imdano
branch nick: experimental
timestamp: Fri 2007-08-17 06:13:08 +0000
message:
  Reverted an accidental change to networking.py that undid a bug fix
------------------------------------------------------------
revno: 51
committer: compwiz18
branch nick: experimental
timestamp: Fri 2007-08-17 04:36:16 +0000
message:
  fixed the tray icon
------------------------------------------------------------
revno: 50
committer: imdano
branch nick: experimental
timestamp: Thu 2007-08-16 12:18:03 +0000
message:
  Changed script execution behavior to fork before running.  Causes more reliable execution but can leave zombies.
------------------------------------------------------------
revno: 49
committer: compwiz18
branch nick: experimental
timestamp: Thu 2007-08-16 05:55:45 +0000
message:
  fixed a couple of bugs:
  
  wnettools.py: DetectWirelessInterfaces() didn't return the wireless interface
  daemon.py: GetGlobalDNSAddresses() now returns a blank string instead of None for blank addresses; None could not be sent over dbus
------------------------------------------------------------
revno: 48
committer: metrics
branch nick: experimental
timestamp: Thu 2007-08-16 01:53:13 +0000
message:
  Fix up some issues spotted by pychecker.
------------------------------------------------------------
revno: 47
committer: metrics
branch nick: experimental
timestamp: Thu 2007-08-16 01:07:26 +0000
message:
  Split the networking module, moving the common tasks into wnettools.py
  
  By splitting the common tasks performed by the networking module out
  into a separate set of classes, it is possible to reduce code
  duplication and improve the structure of the networking module.
  
  The wnettools module now performs _almost_ all the actual commands that
  control the network interfaces, splitting it from the actual connection
  logic contained in the networking module. Splitting these two tasks also
  allows for tool changes to be made in a central location, rather than
  spread throughout the networking.py file.
------------------------------------------------------------
revno: 46
committer: imdano
branch nick: experimental
timestamp: Wed 2007-08-15 07:25:10 +0000
message:
  Added a bunch of bug fixes from the experimental branch to the testing branch.
  Added disconnect script feature and executing script in usermode feature to testing branch
------------------------------------------------------------
revno: 45
committer: imdano
branch nick: experimental
timestamp: Tue 2007-08-14 17:02:38 +0000
message:
  Fixed the typo in networking.py correctly this time :)
  Corrected the version number displayed in usage()
------------------------------------------------------------
revno: 44
committer: imdano
branch nick: experimental
timestamp: Tue 2007-08-14 16:01:30 +0000
message:
  Improved the behavior of threading in networking.py when an error occurs.
  Fixed typo in the wpa_supplicant string in networking.py.
  Changed formatting in dapper.py, edgy.py, and networking.py to conform closer to python coding conventions (and hopefully improve readability in general)
------------------------------------------------------------
revno: 43
committer: metrics
branch nick: experimental
timestamp: Sun 2007-08-12 03:31:04 +0000
message:
  Refactor daemon.py to handle command line arguments.
  
  Move the old module code in daemon.py into a main() function, splitting
  off the daemonization into daemonize() function. Also add correct
  parsing of command line arguments to allow disabling of stderr and
  stdout redirection, daemonizing and auto-connect.
  
  Tidy up start of file including correct GPL license pre-amble and a
  short description of the wicd daemon module.
------------------------------------------------------------
revno: 42
committer: metrics
branch nick: experimental
timestamp: Sun 2007-08-12 01:36:49 +0000
message:
  Convert FlushWriter into LogWriter and optimise log writing.
  
  FlushWriter looped through all the characters provided, writing them one
  at a time. This is not strictly necessary, so modify the algorithm to
  use a smart substitution and keep the timestamps correct. Name change to
  better match its behaviour.
------------------------------------------------------------
revno: 41
committer: metrics
branch nick: experimental
timestamp: Sun 2007-08-12 00:30:01 +0000
message:
  Centralise path configuration into a single file.
  
  Path configuration was distributed throughout wicd, making it difficult
  to move around project files. Centralise the configuration into
  wpath.py.
------------------------------------------------------------
revno: 40
committer: imdano
branch nick: experimental
timestamp: Fri 2007-08-10 07:59:36 +0000
message:
  Added disconnection script
  Changed auto-reconnection behavior slightly to prevent possible hanging issues
  Changed/Added some comments
------------------------------------------------------------
revno: 39
committer: imdano
branch nick: experimental
timestamp: Sat 2007-08-04 19:09:05 +0000
message:
  Added support for displaying correct network info in drivers using some non-standard display info.
------------------------------------------------------------
revno: 38
committer: imdano
branch nick: experimental
timestamp: Wed 2007-08-01 09:31:43 +0000
message:
  Changed script execution method so that scripts are always run in usermode.
  Removed autostarting daemon code so that script execution would work properly.
  Added channel display support for cards that only get frequency info in 'iwlist scan'.
  Changed autoconnect behavior to fix a bug where dbus would crash if connecting was taking too long.
  Changed/added some comments.
------------------------------------------------------------
revno: 37
committer: imdano
branch nick: experimental
timestamp: Sun 2007-07-29 08:17:00 +0000
message:
  made get debugmode function return an int
------------------------------------------------------------
revno: 36
committer: imdano
branch nick: experimental
timestamp: Sat 2007-07-28 11:20:38 +0000
message:
  added a debugmode check to dapper.py
------------------------------------------------------------
revno: 35
committer: imdano
branch nick: experimental
timestamp: Sat 2007-07-28 11:19:18 +0000
message:
  fixed a bug in the open/close gui function in dapper.py
  fixed a bug in getdebugmode function in daemon.py
------------------------------------------------------------
revno: 34
committer: imdano
branch nick: experimental
timestamp: Fri 2007-07-27 18:20:51 +0000
message:
  Rewrote dapper.py to act just like edgy.py (needs to be tested), changed some gui behavior, fixed version numbers in experimental/testing daemon.py
------------------------------------------------------------
revno: 33
committer: imdano
branch nick: experimental
timestamp: Wed 2007-07-25 17:59:31 +0000
message:
  Updated autoconnect.py to reflect changes to daemon
------------------------------------------------------------
revno: 32
committer: imdano
branch nick: experimental
timestamp: Wed 2007-07-25 09:04:39 +0000
message:
  Fixed typo in the testing release, added ralink correct signal strength info to experimental release, fixed wired connection bug in experimental release
------------------------------------------------------------
revno: 31
committer: imdano
branch nick: experimental
timestamp: Tue 2007-07-24 15:30:59 +0000
message:
  fixed a typo
------------------------------------------------------------
revno: 30
committer: compwiz18
branch nick: experimental
timestamp: Tue 2007-07-24 06:31:07 +0000
message:
  daemon will now fork
------------------------------------------------------------
revno: 29
committer: compwiz18
branch nick: experimental
timestamp: Tue 2007-07-24 06:06:27 +0000
message:
  updates and bug fixes and all that fun stuff
------------------------------------------------------------
revno: 28
committer: imdano
branch nick: experimental
timestamp: Tue 2007-07-24 05:05:15 +0000
message:
  Added myself as a co-author :)
------------------------------------------------------------
revno: 27
committer: imdano
branch nick: experimental
timestamp: Mon 2007-07-23 07:05:05 +0000
message:
  Added wired auto-connect profile chooser, fixed some bugs in the ralink legacy connection code, reorganized edgy.py and fixed some bugs in it, probably a few other things too
------------------------------------------------------------
revno: 26
committer: imdano
branch nick: experimental
timestamp: Tue 2007-07-17 08:03:16 +0000
message:
  fixed bug where wired icon wouldn't change if cable became unplugged, fixed yet another indentation screw up
------------------------------------------------------------
revno: 25
committer: imdano
branch nick: experimental
timestamp: Tue 2007-07-17 07:33:18 +0000
message:
  improved autoreconnect code
------------------------------------------------------------
revno: 24
committer: imdano
branch nick: experimental
timestamp: Tue 2007-07-17 07:19:10 +0000
message:
  fixed a screw up in my indentation in edgy.py, changed tabs to 4 spaces everywhere it wasn't already
------------------------------------------------------------
revno: 23
committer: compwiz18
branch nick: experimental
timestamp: Mon 2007-07-16 09:23:18 +0000
message:
  daemon will now daemonize
------------------------------------------------------------
revno: 22
committer: compwiz18
branch nick: experimental
timestamp: Mon 2007-07-16 08:35:07 +0000
message:
  fixed global DNS
------------------------------------------------------------
revno: 21
committer: imdano
branch nick: experimental
timestamp: Mon 2007-07-16 06:41:34 +0000
message:
  removed conflict resolution info that would probably cause syntax errors
------------------------------------------------------------
revno: 20
committer: imdano
branch nick: experimental
timestamp: Mon 2007-07-16 06:34:23 +0000
message:
  Added support for ralink legacy cards, implemented a debug mode option, swapped order that autoconnect uses, fixed some indentation issues, changed/added some comments
------------------------------------------------------------
revno: 19
committer: compwiz18
branch nick: experimental
timestamp: Mon 2007-07-16 06:16:52 +0000
message:
  added global dns options (not quite working)
------------------------------------------------------------
revno: 18
committer: imdano
branch nick: experimental
timestamp: Wed 2007-07-11 12:47:44 +0000
message:
  Optimized autoconnect for wired code (should be more log friendly)
------------------------------------------------------------
revno: 17
committer: imdano
branch nick: experimental
timestamp: Tue 2007-07-10 14:32:45 +0000
message:
  Fixed bug caused by wired/wireless daemons using the same function names
------------------------------------------------------------
revno: 16
committer: compwiz18
branch nick: experimental
timestamp: Tue 2007-07-10 05:39:00 +0000
message:
  syntax error fixed
------------------------------------------------------------
revno: 15
committer: imdano
branch nick: experimental
timestamp: Mon 2007-07-09 14:41:14 +0000
message:
  Added script execution support, added autoconnect to wired network support, created a default wired network system to allow autoconnection
------------------------------------------------------------
revno: 14
committer: imdano
branch nick: experimental
timestamp: Mon 2007-07-09 09:38:45 +0000
message:
  Removed sleep time in autoreconnect in stable (it would sometimes make it impossible to open the GUI), removed sleep time and altered autoreconnect behavior in experimental.  (Try #3)
------------------------------------------------------------
revno: 13
committer: imdano
branch nick: experimental
timestamp: Mon 2007-07-09 09:27:13 +0000
message:
  Removed sleep time in autoreconnect in stable (it would sometimes make it impossible to open the GUI), removed sleep time and altered autoreconnect behavior in experimental.
------------------------------------------------------------
revno: 12
committer: imdano
branch nick: experimental
timestamp: Mon 2007-07-09 09:21:42 +0000
message:
  Removed sleep time in autoreconnect in stable (it would sometimes make it impossible to open the GUI), removed sleep time and altered autoreconnect behavior in experimental.
------------------------------------------------------------
revno: 11
committer: compwiz18
branch nick: experimental
timestamp: Sun 2007-07-08 20:12:44 +0000
message:
  changed version number
------------------------------------------------------------
revno: 10
committer: imdano
branch nick: experimental
timestamp: Sun 2007-07-08 10:36:47 +0000
message:
  Added DNS fix to wired class
------------------------------------------------------------
revno: 9
committer: imdano
branch nick: experimental
timestamp: Sun 2007-07-08 10:31:48 +0000
message:
  Fixed a static DNS bug and added some comments / fixed some typos
------------------------------------------------------------
revno: 8
committer: imdano
branch nick: experimental
timestamp: Sun 2007-07-08 10:31:28 +0000
message:
  Fixed a static DNS bug and added some comments / fixed some typos
------------------------------------------------------------
revno: 7
committer: imdano
branch nick: experimental
timestamp: Sun 2007-07-08 08:34:42 +0000
message:
  shortened sleep time when returning from hibernation
------------------------------------------------------------
revno: 6
committer: imdano
branch nick: experimental
timestamp: Sat 2007-07-07 20:31:45 +0000
message:
  some minor adjustments and bug fixes
------------------------------------------------------------
revno: 5
committer: compwiz18
branch nick: experimental
timestamp: Sat 2007-07-07 20:09:37 +0000
message:
  Added ICS support, but commented it out so we can release 
------------------------------------------------------------
revno: 4
committer: compwiz18
branch nick: experimental
timestamp: Sat 2007-07-07 08:06:14 +0000
message:
  string table updated
------------------------------------------------------------
revno: 3
committer: imdano
branch nick: experimental
timestamp: Thu 2007-07-05 06:53:57 +0000
message:
  Fixed a typo, added note that only WEP can be used for Ad-hoc encryption
------------------------------------------------------------
revno: 2
committer: imdano
branch nick: experimental
timestamp: Thu 2007-07-05 05:30:09 +0000
message:
  Fixed bug where tray wouldn't load when it automatically opened the daemon
  Fixed some typos
------------------------------------------------------------
revno: 1
committer: compwiz18
branch nick: stable
timestamp: Wed 2007-07-04 14:51:57 +0000
message:
  trying to fix
------------------------------------------------------------
Use --include-merges or -n0 to see merged revisions.
